﻿class BioAnimNodeBlendByReload extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

enum EBioReloadAnimNode
{
    RELOAD_ANIM_NODE_IDLE,
    RELOAD_ANIM_NODE_RELOADING,
};

var transient float m_fSliderPosition;

final event float GetReloadDuration()
{
    local Pawn ChkPawn;
    local SFXWeapon Weapon;
    ChkPawn = Pawn(SkelComponent.Owner);
    if (ChkPawn != None && ChkPawn.Weapon != None)
    {
        Weapon = SFXWeapon(ChkPawn.Weapon);
        if (Weapon != None)
        {
            return Weapon.GetReloadDuration();
        }
    }
    return 0;
}

defaultproperties
{
    Children=None
}
