﻿class BioAnimNodeBlendByWeaponAction extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

enum WeaponAnimState
{
    WeaponState_Expanded,
    WeaponState_Expanding,
    WeaponState_Collapsing,
    WeaponState_Collapsed,
};

var transient float SliderPosition;

event ResetInstantChangeFlag()
{
    local SFXWeapon Weapon;
    Weapon = SFXWeapon(SkelComponent.Outer);
    if (Weapon != None)
    {
        Weapon.bInstantExpansion = false;
    }
}

event ResetForcedReplayFlag()
{
    local SFXWeapon Weapon;
    Weapon = SFXWeapon(SkelComponent.Outer);
    if (Weapon != None)
    {
        Weapon.bForceReplayAnimation = false;
    }
}

defaultproperties
{
    Children=None
}
