﻿class BioEpicPawnBehaviorSaveObject extends BioActorBehaviorSaveObject
    native;

var float m_fRadarRange;

// m_LastName: StringRefProperty[44]
var String m_FirstName;

function SaveObject(Object O)
{
    local BioEpicPawnBehavior Pawn;
    Pawn = BioEpicPawnBehavior(O);
    m_FirstName = Pawn.m_PawnAttributes.m_FirstName;
    m_LastName = Pawn.m_PawnAttributes.m_LastName;
    m_fRadarRange = Class'BioAttributes'.GetBaseFloatValue(Pawn.m_PawnAttributes.m_RadarRange);
    SaveObject(O);
}

function LoadObject(Object O)
{
    local BioEpicPawnBehavior Pawn;
    Pawn = BioEpicPawnBehavior(O);
    LoadObject(O);
    Pawn.m_PawnAttributes.m_FirstName = m_FirstName;
    Pawn.m_PawnAttributes.m_LastName = m_LastName;
    Class'BioAttributes'.SetBaseFloatValue(Pawn.m_PawnAttributes.m_RadarRange, m_fRadarRange);
}

defaultproperties
{
}
