﻿class BioEvtSysTrackFuncShot extends SFXGameInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

enum EBioFuncShotType
{
    FuncShotType_Unset,
};

struct native BioFuncShotData
{
    var() EBioFuncShotType eShotType;

    var() String sActor1;

    var() String sActor2;

    var() String sStage;

    var() int nActor1PosNode;

    var() bool bUseCamera;

    var Name nmShotName;

}

var transient Name m_nmOldShotType;

var() array<BioFuncShotData> m_aShotData;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "FuncShot";
}

static event String KeyDataArrayName()
{
    return "m_aShotData";
}

static event String KeyDataDisplayName()
{
    return "FuncShot Data";
}

static event String GetNewTrackSubMenuName()
{
    return "Bio Conversation";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Functional Shot"
}
