﻿class BioEvtSysTrackSetFacing extends SFXGameActorInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

enum EDynamicStageNodes
{
    EDynamicStageNodes_UNSET,
};

struct native BioSetFacingData
{
    var() bool bApplyOrientation;

    var() float fOrientation;

    var() EDynamicStageNodes eCurrentStageNode;

    var Name nmStageNode;

}

var transient bool m_bStageNodesLoaded;

var() array<BioSetFacingData> m_aFacingKeys;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "Facing";
}

static event String KeyDataArrayName()
{
    return "m_aFacingKeys";
}

static event String KeyDataDisplayName()
{
    return "Facing Data";
}

static event String GetNewTrackSubMenuName()
{
    return "Bio Conversation";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Pawn Facing"
}
