﻿class BioGameEffect extends Object
    hidecategories(Object)
    abstract
    native
    editinlinenew;

enum EBioGameEffectClassPriority
{
    BIO_GAME_EFFECT_CLASS_PRIORITY_STANDARD,
    BIO_GAME_EFFECT_CLASS_PRIORITY_ADD_POWER_PARAMETER,
    BIO_GAME_EFFECT_CLASS_PRIORITY_GIVE_POWER,
};

var int m_nMaxRanks;

var array<int> m_aEffectLevelsRows;

var Bio2DA m_pEffectLevels2DA;

var Name m_nmGameEffectName;

var int m_nGameEffectId;

var EBioGameEffectClassPriority m_priority;

event Tick(Object oTarget, float fDeltaTime);

event Update(optional Object oTarget);

native final function SetScalingData(Bio2DA pEffectLevels2DA, const out array<int> aEffectLevelRows, const out int maxRanks);

native final function Scale(int nRank);

native protected function Actor GetActorFromTarget(Object oTarget);

native function Object Apply(Object oTarget);

native function Unapply(Object oTarget);

defaultproperties
{
}
