﻿class BioGameEffectAttributeBool extends BioGameEffectAttribute
    hidecategories(Object)
    native
    editinlinenew;

var bool m_bSetToOppositeOnUnapply;

var() bool m_value;

native function Object Apply(Object oTarget);

native function Unapply(Object oTarget);

static event Create(BioGameProperty oProperty, bool bValue, Name nmAttributeName, EBioGameEffectAttributeType eType, bool bSetToOppositeOnUnapply)
{
    local BioGameEffectAttributeBool oEffect;
    oEffect = new(oProperty,Class'BioGameEffectAttributeBool');
    oProperty.AddGameEffectToProperty(oEffect);
    oEffect.m_value = bValue;
    oEffect.m_attributeName = nmAttributeName;
    oEffect.m_type = eType;
    oEffect.m_bSetToOppositeOnUnapply = bSetToOppositeOnUnapply;
}

defaultproperties
{
}
