﻿class BioGameEffectAttributeFloat extends BioGameEffectAttributeNumeric
    hidecategories(Object)
    native
    editinlinenew;

var() float m_value;

native function Object Apply(Object oTarget);

native function Unapply(Object oTarget);

static event Create(BioGameProperty gp, float fValue, Name nmAttributeName, EBioGameEffectAttributeAspect eAspect, EBioAttrModType eModifier, EBioGameEffectAttributeType eType, int nIndex)
{
    local BioGameEffectAttributeFloat newEffect;
    newEffect = new(gp,Class'BioGameEffectAttributeFloat');
    newEffect.m_value = fValue;
    newEffect.m_attributeName = nmAttributeName;
    newEffect.m_aspect = eAspect;
    newEffect.m_modifier = eModifier;
    newEffect.m_type = eType;
    newEffect.m_nIndex = nIndex;
    gp.AddGameEffectToProperty(newEffect);
}

defaultproperties
{
}
