﻿class BioParticleModuleLocationAttachedMesh extends ParticleModuleLocationBase
    hidecategories(Object,Object,Object)
    native
    editinlinenew
    collapsecategories;

struct native EmissionAreaWeight
{
    var() Name AreaTag;

    var() float Weight;

}

enum EmissionAreaSpecificationType
{
    EAST_UniformDensityPerVertex,
    EAST_UniformDensityPerBone,
    EAST_WeightedDensityPerBone,
    EAST_WeightedDensityPerEmissionArea,
    EAST_UniformDensityPerEmissionArea,
};

var() EmissionAreaSpecificationType m_SpecificationType;

var() bool bUseAttachedLocalSpace;

var bool m_bCheckAgainstValidEmissionSet;

var array<Name> m_ValidEmissionSet;

var() array<EmissionAreaWeight> m_EmissionAreaWeights;

var() BioEmissionAreaList m_EmissionAreaList;

defaultproperties
{
    m_Seed=None
    bSpawnModule=true
    bUpdateModule=true
    // child object DistributionSeed of type DistributionFloatParticleParameter
}
