﻿class BioSFHandler_PCSplash extends BioSFHandler_Splash
    config(UI)
    transient
    native;

function OnPanelRemoved()
{
    oPanel.bPipeDirectInputToGFx = false;
    OnPanelRemoved();
}

function HandleEvent(byte nCommand, const out array<String> lstArguments)
{
    switch (nCommand)
    {
        case 2:
            oPanel.bPipeDirectInputToGFx = true;
            oPanel.SetInputDisabled(false);
            break;
        case 3:
            AdvanceScreen();
            break;
        default:
            HandleEvent(nCommand, lstArguments);
    }
}

event AdvanceScreen()
{
    oPanel.bPipeDirectInputToGFx = false;
    AdvanceScreen();
}

event Update(float fDeltaT)
{
    SetMouseShown(true);
    Update(fDeltaT);
}

defaultproperties
{
    ScreenLayout=System.Byte[]
}
