﻿class BioSVehicleSimTank extends SVehicleSimTank
    native;

var float m_fYawDeltaRate;

var float m_fCurrentInputYaw;

var float m_fPrevInputYaw;

var InterpCurveFloat m_TorqueCurve;

var InterpCurveFloat m_TorqueSplitLeft;

var InterpCurveFloat m_TorqueSplitRight;

var() InterpCurveFloat m_fLongFrictionScaleSteerCurve;

var() InterpCurveFloat m_fLatFrictionScaleSteerCurve;

defaultproperties
{
    m_fLatFrictionScaleSteerCurve=(Points=?,InterpMethod=?)
    m_fLongFrictionScaleSteerCurve=(Points=?,InterpMethod=?)
    m_TorqueSplitRight=(Points=?,InterpMethod=?)
    m_TorqueSplitLeft=(Points=?,InterpMethod=?)
    m_TorqueCurve=(Points=?,InterpMethod=?)
    MaxEngineTorque=8000
    EngineDamping=1,5
    TurnInPlaceThrottle=0,5
    ChassisTorqueScale=0,05
    SteerSpeed=100
    StopThreshold=50
    WheelSuspensionStiffness=150
    WheelSuspensionDamping=3
}
