﻿class BioSeqAct_AttachVisualEffect extends SequenceAction
    hidecategories(Object);

var() BioVFXTemplate m_oEffect;

var() Vector m_vOffset;

var() Name m_nmSocketOrBone;

var() array<Actor> m_oAttachTo;

function Activated()
{
    local BioVisualEffect oEffect;
    local int I;
    if (m_nmSocketOrBone == 'None')
    {
        m_nmSocketOrBone = 'root';
    }
    I = 0;
    while (I < m_oAttachTo.Length)
    {
        oEffect = Class'BioVisualEffect'.CreateVFXOnMesh(m_oEffect, m_oAttachTo[I], m_nmSocketOrBone, 0, false);
        if (oEffect != None)
        {
            oEffect.SetRelativeLocation(oEffect.RelativeLocation + m_vOffset);
            oEffect.SetState(0, true);
        }
        I++;
    }
}

defaultproperties
{
    VariableLinks=None
}
