﻿class BioSeqAct_GetSquad extends SequenceAction
    hidecategories(Object);

var Actor oSquad;

var() Actor oPawn;

function Activated()
{
    local BioEpicPawnBehavior oBehavior;
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    if (Controller(oPawn) != None)
    {
        oPawn = Controller(oPawn).Pawn;
    }
    if (oPawn != None)
    {
        oBehavior = BioEpicPawnBehavior(oPawn.oBioComponent);
        if (oBehavior != None)
        {
            oSquad = oBehavior.Squad;
            OutputLinks[0].bHasImpulse = true;
            return;
        }
    }
    OutputLinks[1].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
}
