﻿class BioSeqAct_SetSquadFaction extends SequenceAction
    hidecategories(Object);

var() const class<BioFaction> NewSquadFaction;

var() Actor m_oActor;

function Activated()
{
    local BioPawn oPawn;
    local BioBaseSquad oSquad;
    local BioPlayerController oPlayer;
    oSquad = BioBaseSquad(m_oActor);
    oPawn = BioPawn(m_oActor);
    oPlayer = BioPlayerController(m_oActor);
    if (oSquad == None)
    {
        if (oPlayer != None && oPawn == None)
        {
            oPawn = BioPawn(oPlayer.Pawn);
        }
        if (oPawn != None && oSquad == None)
        {
            oSquad = oPawn.m_oBehavior.Squad;
        }
    }
    if (oSquad != None)
    {
        oSquad.SquadFaction = NewSquadFaction;
    }
}

defaultproperties
{
    VariableLinks=None
}
