﻿class BioSpectatorModeAnimSpeed extends BioSpectatorMode;

function InitializeOptions(BioWorldInfo WorldInfo)
{
    local int I;
    InitializeOptions(WorldInfo);
    m_options.Length = 0;
    m_options[0] = "Pause";
    I = 1;
    while (I < 9)
    {
        m_options[I] = I / 4 * 100 $ "%";
        I++;
    }
    ActivateOption(WorldInfo);
}

function ActivateOption(BioWorldInfo WorldInfo)
{
    ActivateOption(WorldInfo);
    if (m_nSelectedOption == 0)
    {
        WorldInfo.bPlayersOnly = true;
        return;
    }
    else
    {
        WorldInfo.bPlayersOnly = false;
    }
    WorldInfo.Game.SetGameSpeed(m_nSelectedOption / 4);
    WorldInfo.Game.SaveConfig();
    WorldInfo.Game.GameReplicationInfo.SaveConfig();
}

defaultproperties
{
    m_nSelectedOption=4
}
