﻿class SFXCustomAction_PraetorianDeath extends SFXCustomAction_DamageReaction
    config(Game);

function StartCustomAction()
{
    local SFXSelectionModule Selection;
    StartCustomAction();
    if (oPawn != None)
    {
        Selection = oPawn.GetModule(Class'SFXSelectionModule');
        if (Selection != None)
        {
            Selection.m_bTargetable = false;
            Selection.m_bCombatTargetable = false;
        }
    }
}

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    BodyStanceAnimEndNotification(SeqNode, PlayedTime, ExcessTime);
    if (oPawn != None)
    {
        oPawn.SetHidden(true);
        oPawn.SetCollision(false, false);
    }
}

defaultproperties
{
    fAnimPlayRate=0,4
    fReactionDuration=0
    ERootMotionMode=RMM_Translate
}
