﻿class SFXGameEffect_AIHacking extends SFXGameEffect
    hidecategories(Object);

var class<BioFaction> OriginalFaction;

var BioBaseSquad m_oOriginalSquad;

function OnApplied()
{
    local BioPawn oPawn;
    OnApplied();
    oPawn = BioPawn(Owner);
    if (oPawn == None || oPawn.Squad == None)
    {
        return;
    }
    if (oPawn.FactionClass != Class'BioFaction_Hacked')
    {
        OriginalFaction = oPawn.FactionClass;
        oPawn.FactionClass = Class'BioFaction_Hacked';
    }
}

function OnRemoved()
{
    local BioPawn oPawn;
    OnRemoved();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    if (oPawn.FactionClass == Class'BioFaction_Hacked')
    {
        oPawn.FactionClass = OriginalFaction;
        OriginalFaction = None;
    }
}

defaultproperties
{
    bSendCompletionEvent=true
}
