﻿class SFXGameEffect_HardenedShields extends SFXGameEffect
    hidecategories(Object);

var bool bWasHardened;

function OnApplied()
{
    local BioPawn oPawn;
    local SFXShield_Base Shields;
    OnApplied();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    Shields = oPawn.GetShields();
    if (Shields != None)
    {
        bWasHardened = Shields.bHardened;
        Shields.bHardened = true;
    }
}

function OnRemoved()
{
    local BioPawn oPawn;
    local SFXShield_Base Shields;
    OnRemoved();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    Shields = oPawn.GetShields();
    if (Shields != None)
    {
        if (!bWasHardened)
        {
            Shields.bHardened = false;
        }
    }
}

defaultproperties
{
}
