﻿class SFXGameEffect_Regeneration extends SFXGameEffect
    hidecategories(Object);

function ComputeEffectValue(out float Value)
{
    if (EffectValue > Value)
    {
        Value = EffectValue;
    }
}

function OnUpdate(float DeltaSeconds)
{
    local SFXModule_Damage DmgModule;
    local float RegenAmount;
    OnUpdate(DeltaSeconds);
    DmgModule = Owner.GetModule(Class'SFXModule_Damage');
    if (DmgModule != None)
    {
        RegenAmount = EffectValue * DeltaSeconds;
        DmgModule.CurrentHealth = FMin(DmgModule.MaxHealth.Value, DmgModule.CurrentHealth + RegenAmount);
    }
}

defaultproperties
{
}
