﻿class SFXGameEffect_WeaponRateOfFireBonus extends SFXGameEffect
    hidecategories(Object);

function OnApplied()
{
    local BioPawn oPawn;
    local SFXWeapon oWeapon;
    OnApplied();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    oWeapon = SFXWeapon(oPawn.Weapon);
    if (oWeapon != None)
    {
        oWeapon.RateOfFire.X = oWeapon.RateOfFire.X * 1 + EffectValue;
        oWeapon.RateOfFire.Y = oWeapon.RateOfFire.Y * 1 + EffectValue;
    }
}

function OnRemoved()
{
    local BioPawn oPawn;
    local SFXWeapon oWeapon;
    OnRemoved();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    oWeapon = SFXWeapon(oPawn.Weapon);
    if (oWeapon != None)
    {
        if (EffectValue > 0)
        {
            oWeapon.RateOfFire.X = oWeapon.RateOfFire.X / 1 + EffectValue;
            oWeapon.RateOfFire.Y = oWeapon.RateOfFire.Y / 1 + EffectValue;
        }
    }
}

defaultproperties
{
}
