﻿class SFXGameEffect_WeaponRecoilBonus extends SFXGameEffect
    hidecategories(Object);

function ComputeEffectValue(out float Value)
{
    if (EffectValue > Value)
    {
        Value = EffectValue;
    }
}

function OnApplied()
{
    local BioPawn BP;
    local SFXModule_GameEffectManager Manager;
    BP = BioPawn(Owner);
    Manager = BP.GetModule(Class'SFXModule_GameEffectManager');
    if (Manager != None)
    {
        SFXPRI(BP.Controller.PlayerReplicationInfo).RecoilBonus = Manager.GetEffectValue(Class'SFXGameEffect_WeaponRecoilBonus', 1);
    }
}

function OnRemoved()
{
    local BioPawn BP;
    local SFXModule_GameEffectManager Manager;
    BP = BioPawn(Owner);
    Manager = BP.GetModule(Class'SFXModule_GameEffectManager');
    if (Manager != None)
    {
        SFXPRI(BP.Controller.PlayerReplicationInfo).RecoilBonus = Manager.GetEffectValue(Class'SFXGameEffect_WeaponRecoilBonus', 1);
    }
}

defaultproperties
{
}
