﻿class SFXInterpTrackSetPlayerNearClipPlane extends SFXGameInterpTrackCustom
    hidecategories(Object)
    config(Game)
    native
    collapsecategories;

struct native SFXNearClipTrackData
{
    var() bool m_bUseDefaultValue;

    var() float m_fValue;

}

var() array<SFXNearClipTrackData> m_aNearClipKeyData;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "PlayerNearClip";
}

static event String KeyDataArrayName()
{
    return "m_aNearClipKeyData";
}

static event String KeyDataDisplayName()
{
    return "Near Clip Key Data";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Player Near Clip"
}
