﻿class SFXMiningNode extends SFXPointOfInterest
    hidecategories(Navigation)
    placeable;

var() /* 00000008 */ ParticleSystemComponent PSC_GroundReticle;

var bool bAlreadyMined;

var() float Duration;

var() float Radius;

var() float ImpulseMaxFrequency;

var() float ImpulseMinFrequency;

var() float ImpulseMaxStrength;

var() float ImpulseMinStrength;

function PostBeginPlay()
{
    PSC_GroundReticle.SetScale(Radius / 425);
}

defaultproperties
{
    ImpulseMinStrength=5000
    ImpulseMaxStrength=10000
    ImpulseMinFrequency=0,025
    ImpulseMaxFrequency=0,1
    Radius=600
    Duration=5
    PSC_GroundReticle=ParticleSystemComponent'Reticle'
    Components=None
    // child object Reticle of type ParticleSystemComponent
    // child object tempSelectionModule of type SFXSimpleUseModule
}
