﻿class SFXProjectile_Repulsor extends SFXProjectile_Explosive
    hidecategories(Navigation);

simulated function Explode(Vector HitLocation, Vector HitNormal)
{
    SetTimer(10, false, 'ShutDown');
    GotoState('Armed');
}

simulated function ShutDown()
{
    GotoState('Idle');
    ShutDown();
}

state Armed
{
    function PushAllEncroachers()
    {
        local BioPawn BP;
        foreach VisibleCollidingActors(Class'BioPawn', BP, 500)
        {
            BP.AddRagdollImpulse(Normal(BP.Location - Location) * 50, Instigator.Controller, Location, true);
        }
    }

    while (true)
    {
        PushAllEncroachers();
        Sleep(0);
    }
    // invalid native function 205 ;
}

defaultproperties
{
    CylinderComponent=None
    Components=None
    // child object CollisionCylinder of type CylinderComponent
}
