﻿class SFXSeqAct_ChangeBehaviour extends SequenceAction
    hidecategories(Object)
    native;

var Name nmBehaviour;

var() EBioAutoSet eBehaviour;

var() class<BioAiController> ControllerClass;

var() Actor oPawn;

event Activated()
{
    local SFXAI_Core oController;
    local bool bSuccess;
    bSuccess = false;
    if (SFXAI_Core(oPawn) != None)
    {
        oController = SFXAI_Core(oPawn);
    }
    else
    {
        if (Pawn(oPawn) != None)
        {
            oController = SFXAI_Core(Pawn(oPawn).Controller);
        }
    }
    if (oController != None && nmBehaviour != 'None')
    {
        bSuccess = oController.ChangeBehaviour(nmBehaviour);
    }
    if (bSuccess)
    {
        OutputLinks[0].bHasImpulse = true;
    }
    else
    {
        OutputLinks[1].bHasImpulse = true;
    }
}

defaultproperties
{
    bCallHandler=false
    OutputLinks=None
}
