﻿class SFXSeqAct_FollowActor extends SequenceAction
    hidecategories(Object);

var() Actor ActorToFollow;

var() array<Pawn> Pawns;

function Activated()
{
    local Pawn oPawn;
    local SFXAI_Core oController;
    local int nPawnIndex;
    nPawnIndex = 0;
    while (nPawnIndex < Pawns.Length)
    {
        oPawn = Pawns[nPawnIndex];
        if (oPawn != None)
        {
            oController = SFXAI_Core(oPawn.Controller);
            if (oController != None)
            {
                if (InputLinks[0].bHasImpulse)
                {
                    oController.StartFollowingActor(ActorToFollow);
                }
                else
                {
                    oController.StopFollowingActor();
                }
            }
        }
        nPawnIndex++;
    }
}

defaultproperties
{
    bCallHandler=false
    InputLinks=None
}
