﻿class SFXSeqAct_TogglePowerWheelTutorial extends SequenceAction
    hidecategories(Object);

var() SFXPowerTutorialType ePowerTutorialType;

function Activated()
{
    local BioPlayerController PC;
    PC = BioWorldInfo(Class'Engine'.GetCurrentWorldInfo()).GetLocalPlayerController();
    if (PC != None && PC.HintSystem != None)
    {
        if (InputLinks[0].bHasImpulse)
        {
            BioHintSystem(PC.HintSystem).EnablePowerTutorialHint(true, ePowerTutorialType);
        }
        else
        {
            if (InputLinks[1].bHasImpulse)
            {
                BioHintSystem(PC.HintSystem).EnablePowerTutorialHint(false, ePowerTutorialType);
            }
        }
    }
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
