﻿class SFXSeqAct_ToggleSquadScreenMessages extends SequenceAction
    hidecategories(Object);

function Activated()
{
    local SFXGame oGame;
    oGame = SFXGame(Class'Engine'.GetCurrentWorldInfo().Game);
    if (oGame != None)
    {
        if (InputLinks[0].bHasImpulse)
        {
            oGame.bShowSquadScreenMessageBoxes = true;
        }
        else
        {
            if (InputLinks[1].bHasImpulse)
            {
                oGame.bShowSquadScreenMessageBoxes = false;
            }
        }
    }
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
