﻿class SFXSeqCond_CheckEntitlement extends SequenceCondition
    hidecategories(Object);

var() String sEntitlementGroup;

var() String sEntitlementName;

function Activated()
{
    local bool bIsEntitled;
    local SFXGame SFXGame;
    SFXGame = SFXGame(GetWorldInfo().Game);
    bIsEntitled = SFXGame.SFXOnlineSubsystem.CheckEntitlement(sEntitlementGroup, sEntitlementName);
    if (bIsEntitled)
    {
        OutputLinks[0].bHasImpulse = true;
    }
    else
    {
        OutputLinks[1].bHasImpulse = true;
    }
}

defaultproperties
{
    OutputLinks=None
}
