﻿class BioAnimNodeBlendByDeath extends BioAnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioAnimDeath
{
    eBioAnimDeath_Head,
    eBioAnimDeath_Stomach,
    eBioAnimDeath_ArmLeft,
    eBioAnimDeath_ArmRight,
    eBioAnimDeath_LegLeft,
    eBioAnimDeath_LegRight,
};

var float m_fCurrentTime;

var float m_fTimeToRagdoll;

var bool m_bEventTriggered;

var const int m_nRightLegRoot;

var const int m_nLeftLegRoot;

var const int m_nRightArmRoot;

var const int m_nLeftArmRoot;

var const int m_nHeadRoot;

var() Name DeathEventName;

var(SkelRoots) Name RightLeg;

var(SkelRoots) Name LeftLeg;

var(SkelRoots) Name RightArm;

var(SkelRoots) Name LeftArm;

var(SkelRoots) Name Head;

defaultproperties
{
    Head=Neck
    LeftArm=LeftCollar
    RightArm=RightCollar
    LeftLeg=LeftHip
    RightLeg=RightHip
    DeathEventName=FinishDeath
    m_nHeadRoot=-1
    m_nLeftArmRoot=-1
    m_nRightArmRoot=-1
    m_nLeftLegRoot=-1
    m_nRightLegRoot=-1
    Children=None
}
