﻿class BioAnimNodeBlendMovement extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

enum EBioAnimNodeBlendMovement
{
    eBioAnimNodeBlendMovement_Idle,
    eBioAnimNodeBlendMovement_Walk,
    eBioAnimNodeBlendMovement_Run,
};

var transient float SliderPosition;

var transient float CurrentRunRate;

var transient float CurrentWalkRate;

var transient float CurrentAcceleration;

var transient float CurrentSpeed;

var transient float IdleTimer;

var() const float BlendTimeRun2Walk;

var() const float BlendTimeRun2Idle;

var() const float BlendTimeWalk2Run;

var() const float BlendTimeWalk2Idle;

var() const float BlendTimeIdle2Run;

var() const float BlendTimeIdle2Walk;

var() const Name RunSynchGroupName;

var() const Name WalkSynchGroupName;

var() const float IdleTimeout;

var() const float MaxRunSpeed;

var() const float MidRunSpeed;

var() const float MinRunSpeed;

var() const float MaxWalkSpeed;

var() const float MidWalkSpeed;

var() const float MinWalkSpeed;

var() const float IdleSpeed;

defaultproperties
{
    IdleSpeed=5
    MinWalkSpeed=30
    MidWalkSpeed=130
    MaxWalkSpeed=180
    MinRunSpeed=150
    MidRunSpeed=250
    MaxRunSpeed=350
    IdleTimeout=0,25
    BlendTimeIdle2Walk=0,5
    BlendTimeIdle2Run=0,5
    BlendTimeWalk2Idle=0,5
    BlendTimeWalk2Run=0,5
    BlendTimeRun2Idle=0,5
    BlendTimeRun2Walk=0,5
    Children=None
}
