﻿class BioAnimNodeBlendState extends BioAnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioBlendStatePlayMode
{
    eBioBlendStatePlayMode_None,
    eBioBlendStatePlayMode_OneShot,
    eBioBlendStatePlayMode_Looping,
    eBioBlendStatePlayMode_Query,
};

enum EBioBlendStatePlayAction
{
    eBioBlendStatePlayAction_NoAction,
    eBioBlendStatePlayAction_Play,
    eBioBlendStatePlayAction_Stop,
    eBioBlendStatePlayAction_Reset,
    eBioBlendStatePlayAction_PlayFromStart,
    eBioBlendStatePlayAction_PlayFromTime,
};

struct native BioAnimBlendParams
{
    var() array<float> BlendToChildTimes;

    var() EBioBlendStatePlayMode PlayMode;

}

var transient BioAnimCheckBlendOut m_oBlendOut;

var String m_sDescription;

var() array<BioAnimBlendParams> m_aChildBlendParams;

var(Behavior) /* 00000008 */ BioAnimNodeBlendStateBehavior m_oBehavior;

var int m_nActiveChild;

defaultproperties
{
    m_aChildBlendParams=System.Byte[]
    m_bShowSlider=true
    Children=None
}
