﻿class BioAppearanceItemSophisticated extends BioAppearanceItemEquippable
    hidecategories(Object,Advanced,Collision,Movement,Debug)
    abstract
    native;

struct native BioAppearanceItemSophisticatedVariant
{
    var() int m_Label;

    var() AnimSet m_oWeaponAnimSet;

    var() AnimTree m_oWeaponAnimTree;

    var() PhysicsAsset m_oPhysicsAsset;

    var() SkeletalMesh m_oModelMesh;

    var() array<MaterialInterface> m_aMaterials;

}

var(Preview) transient int m_previewVariantLabel;

var(Visual) /* 00000008 */ array<BioAppearanceItemSophisticatedVariant> m_variants;

struct native WeaponEffects
{
    var() BioVISWeapon VisualImpactSet;

    var() BioVFXTemplate vfxMuzzleFlash;

    var() BioVFXTemplate vfxMuzzleFlash2;

    var() BioVFXTemplate vfxTracer;

    var() BioVFXTemplate vfxCoolDown;

    var() BioVFXTemplate vfxSabotage;

    var() BioVFXTemplate vfxReload;

}

native function SkeletalMesh GetSkeletalMesh(int Variant);

native function ApplyMaterials(int Variant, SkeletalMeshComponent SkeletalMeshComponent);

native function AnimSet GetAnimationSet(int Variant);

native function AnimTree GetAnimationTree(int Variant);

native function PhysicsAsset GetPhysicsAsset(int Variant);

defaultproperties
{
}
