﻿class BioArtPlaceableBehaviorSaveObject extends BioActorBehaviorSaveObject;

var EBioSkillGameDifficulty m_SkillDifficulty;

var eBioAPLUseCase m_eUseCase;

var Name m_State1;

var Name m_State0;

var Name CurrentFSMStateName;

var bool m_bTargetableOverride;

var bool m_bTargetable;

var bool m_bSkillGameXpAwarded;

var bool m_bSkillGameFailed;

var bool m_bPlayerOnly;

var bool m_bUseCaseOverride;

var bool m_bIsDestroyed;

var bool Enabled;

var float m_fCurrentHealth;

var float m_fHealth;

function SaveObject(Object O)
{
    local BioArtPlaceableBehavior objBehavior;
    local BioArtPlaceable Obj;
    local BioArtPlaceableType Type;
    objBehavior = BioArtPlaceableBehavior(O);
    Obj = BioArtPlaceable(objBehavior.Owner);
    Type = BioArtPlaceableType(Obj.ActorType);
    if (Obj != None && Obj.FSM.CurrentState != None)
    {
        CurrentFSMStateName = Obj.FSM.CurrentState.StateName;
    }
    m_bIsDestroyed = objBehavior.m_nmLastState == Type.m_nmDestroyedState;
    m_bSkillGameFailed = objBehavior.m_bSkillGameFailed;
    m_bTargetable = objBehavior.m_bTargetable;
    m_bTargetableOverride = objBehavior.m_bTargetableOverride;
    SaveObject(O);
}

function LoadObject(Object O)
{
    local BioArtPlaceableBehavior objBehavior;
    local BioArtPlaceableType Type;
    objBehavior = BioArtPlaceableBehavior(O);
    Type = BioArtPlaceableType(objBehavior.Owner.ActorType);
    LoadObject(O);
    if (objBehavior != None)
    {
        objBehavior.m_bSkillGameFailed = m_bSkillGameFailed;
    }
    if (m_bIsDestroyed)
    {
        objBehavior.StartingState = Type.m_nmDestroyedState;
        objBehavior.m_bStartingStateOverride = true;
    }
    else
    {
        if (CurrentFSMStateName != 'None')
        {
            objBehavior.StartingState = CurrentFSMStateName;
            objBehavior.m_bStartingStateOverride = true;
        }
    }
    objBehavior.m_bTargetable = m_bTargetable;
    objBehavior.m_bTargetableOverride = m_bTargetableOverride;
}

defaultproperties
{
}
