﻿class BioBaseAppearancePlaceable extends BioBaseAppearance
    hidecategories(Object,Advanced,Collision,Movement,Debug)
    abstract
    native;

struct native StaticAttachments
{
    var() Name BoneName;

    var() StaticMesh StaticMesh;

}

enum EBioStateEnumProxy
{
    StateEnum_None,
};

struct native AudioAPLStatePair
{
    var() Name m_nmAPLState;

    var() SoundCue m_SoundCue;

}

struct native VFXAPLStatePair
{
    var() Name m_nmAPLState;

    var() EBioVFXState m_VFXState;

}

struct native VisualEffectAttachment
{
    var() BioVFXTemplate m_oEffectTemplate;

    var() Name m_nmSocket;

    var() array<VFXAPLStatePair> m_States;

}

var(Selection) Vector m_vTargetLocationOffset;

var String sMenuLabel;

var String sThumbnailLabel;

var class<Actor> pNewActorClass;

var AnimTree AnimationTree;

var(Technical) float Scale;

var(VisualEffects) array<VisualEffectAttachment> VFXOnInstigator;

var(VisualEffects) array<VisualEffectAttachment> VisualEffects;

var int nInstigatorVFXOffset;

var /* 00000008 */ AudioComponent oAudioComponent;

var(Audio) array<AudioAPLStatePair> m_AudioStates;

var(Appearance) bool bOneAnimFrameStates;

var(Appearance) SkeletalMesh m_oDestroyedSkeletalMesh;

var(Appearance) SkeletalMesh m_oSkeletalMesh;

var(Appearance) StaticMesh m_oDestroyedStaticMesh;

var(Appearance) StaticMesh m_oStaticMesh;

var(Appearance) SoundCue SoundCue;

var(Appearance) BioFSM FSM;

var(Appearance) array<AnimSet> AnimSets;

var(Physics) PhysicsAsset DestroyedPhysicsAsset;

var(Physics) PhysicsAsset PhysicsAsset;

var(Appearance) array<Name> MaterialVariationList;

var(Appearance) int MaterialPerVariation;

var(Appearance) Name PlaceablePrefix;

var(Appearance) Name PackageName;

defaultproperties
{
    bOneAnimFrameStates=true
    Scale=1
    AnimationTree=AnimTree'DefaultAnimTree'
}
