﻿class BioCameraBehaviorFree extends BioCameraBehavior;

var bool m_bCameraLocked;

var(FLYCAM) float m_fRotationScalar;

var(FLYCAM) float m_fMovementScalar;

function Tick(float TimeDelta)
{
    local Rotator rCamRot;
    local Vector vCamDir;
    if (!m_bCameraLocked)
    {
        rCamRot = m_pov.Rotation;
        vCamDir = rCamRot;
        m_pov.Location += Owner.PlayerInput.RawJoyUp * vCamDir * m_fMovementScalar * TimeDelta;
        rCamRot.Yaw += 90 * 182,0444;
        rCamRot.Pitch = 0;
        vCamDir = rCamRot;
        m_pov.Location += Owner.PlayerInput.RawJoyRight * vCamDir * m_fMovementScalar * TimeDelta;
        if (Owner.PlayerInput.PressedKeys.Find('XboxTypeS_RightThumbstick') != -1)
        {
            m_pov.Location += vect(0,0,-1) * m_fMovementScalar * TimeDelta;
        }
        if (Owner.PlayerInput.PressedKeys.Find('XboxTypeS_LeftThumbstick') != -1)
        {
            m_pov.Location += vect(0,0,1) * m_fMovementScalar * TimeDelta;
        }
        m_pov.Rotation = Owner.Rotation;
    }
}

function Initialize(BioPlayerController NewOwner)
{
    Initialize(NewOwner);
    if (Owner != None)
    {
        m_pov.Location = Owner.Location;
        m_pov.Rotation = Owner.Rotation;
    }
}

defaultproperties
{
    m_fMovementScalar=1000
    m_fRotationScalar=20
    bIsCameraShakeEnabled=false
    bCollisionEnabled=false
    m_pov=(Location=?,Rotation=?,FOV=?)
    Input=SFXCameraInput's_Input'
    // child object s_Input of type SFXCameraInput
}
