﻿class BioDestinationArrow extends Actor
    hidecategories(Navigation)
    native
    placeable;

var() /* 00000008 */ SkeletalMeshComponent Mesh;

enum eColorSelection
{
    BDA_White,
    BDA_Yellow,
    BDA_Blue,
    BDA_Red,
};

event SetArrowColor(eColorSelection clr)
{
    local MaterialInstanceConstant MC;
    switch (clr)
    {
        case 0:
            MC = MaterialInstanceConstant(DynamicLoadObject("BioBaseResources.TacSelectionArrow_White", Class'MaterialInstanceConstant'));
            break;
        case 1:
            MC = MaterialInstanceConstant(DynamicLoadObject("BioBaseResources.TacSelectionArrow_Yellow", Class'MaterialInstanceConstant'));
            break;
        case 2:
            MC = MaterialInstanceConstant(DynamicLoadObject("BioBaseResources.TacSelectionArrow_Blue", Class'MaterialInstanceConstant'));
            break;
        case 3:
            MC = MaterialInstanceConstant(DynamicLoadObject("BioBaseResources.TacSelectionArrow_Red", Class'MaterialInstanceConstant'));
            break;
    }
    Mesh.SetMaterial(0, MC);
}

defaultproperties
{
    Mesh=SkeletalMeshComponent'BioTacSelArrowComp'
    Components=None
    // child object BioTacSelArrowComp of type SkeletalMeshComponent
}
