﻿class BioEvtSysTrackPropInst extends SFXGameActorInterpTrackInst
    native;

var native transient Map_Mirror m_mapPreviewResources;

var native transient Map_Mirror m_mapUsedMeshProps;

var native transient Map_Mirror m_mapFoundWeapons;

var transient bool m_bBelongsToConversation;

struct native BioFoundWeaponData
{
    var SFXWeapon pWeapon;

    var bool bSpawned;

}

struct native BioUsedMeshPropData
{
    var /* 00000008 */ MeshComponent pPropCmp;

    var /* 00000008 */ array<ParticleSystemComponent> aEffects;

}

struct native BioActionPreviewResource
{
    var Name nmAction;

    var /* 00000008 */ ParticleSystemComponent pPartSysCmp;

    var bool bEquipped;

    var AnimSet pAnimSet;

    var Name nmAnimation;

}

struct native BioPropPreviewResource
{
    var Name nmProp;

    var /* 00000008 */ MeshComponent pPropCmp;

    var bool bEquipped;

    var native Map_Mirror mapActions;

}

native function SFXWeapon FindWeaponData(class<SFXWeapon> cWeapon, out int nSpawned);

native function AddWeaponData(class<SFXWeapon> cWeapon, SFXWeapon pWep, bool bSpawned);

native function RemoveWeaponData(class<SFXWeapon> cWeapon);

static event String GetWeaponName(SFXWeapon pWeapon)
{
    return pWeapon.Name;
}

defaultproperties
{
}
