﻿class BioMorphFaceSaveObject extends BioBaseSaveObject;

var VertexBuffer m_aVertexBuffersLOD3;

var VertexBuffer m_aVertexBuffersLOD2;

var VertexBuffer m_aVertexBuffersLOD1;

var VertexBuffer m_aVertexBuffersLOD0;

var array<OffsetBonePos> m_aFinalSkeleton;

var BioBaseSaveObject m_oMaterialOverrides;

var array<MorphFeature> m_aMorphFeatures;

var array<SkeletalMesh> m_oOtherMeshes;

var SkeletalMesh m_oHairMesh;

var SkeletalMesh m_oBaseHead;

struct VertexBuffer
{
    var array<Vector> m_vPosition;

}

function SaveObject(Object O)
{
    local int I;
    local int J;
    local BioMorphFace Morph;
    m_oOtherMeshes.Length = 0;
    m_aMorphFeatures.Length = 0;
    m_aFinalSkeleton.Length = 0;
    Morph = BioMorphFace(O);
    m_oBaseHead = Morph.m_oBaseHead;
    m_oHairMesh = Morph.m_oHairMesh;
    I = 0;
    while (I < Morph.m_oOtherMeshes.Length)
    {
        m_oOtherMeshes.AddItem(Morph.m_oOtherMeshes[I]);
        ++I;
    }
    I = 0;
    while (I < Morph.m_aMorphFeatures.Length)
    {
        m_aMorphFeatures.AddItem(Morph.m_aMorphFeatures[I]);
        ++I;
    }
    m_oMaterialOverrides = Morph.m_oMaterialOverrides.WriteSaveObject(Outer);
    I = 0;
    while (I < Morph.m_aFinalSkeleton.Length)
    {
        m_aFinalSkeleton.AddItem(Morph.m_aFinalSkeleton[I]);
        ++I;
    }
    I = 0;
    J = 0;
    while (J < Morph.GetNumVerts(I))
    {
        m_aVertexBuffersLOD0.m_vPosition.AddItem(Morph.GetPosition(I, J));
        ++J;
    }
    I = 1;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            m_aVertexBuffersLOD1.m_vPosition.AddItem(Morph.GetPosition(I, J));
            ++J;
        }
    }
    I = 2;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            m_aVertexBuffersLOD2.m_vPosition.AddItem(Morph.GetPosition(I, J));
            ++J;
        }
    }
    I = 3;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            m_aVertexBuffersLOD3.m_vPosition.AddItem(Morph.GetPosition(I, J));
            ++J;
        }
    }
    SaveObject(O);
}

function LoadObject(Object O)
{
    local int I;
    local int J;
    local BioMorphFace Morph;
    LoadObject(O);
    Morph = BioMorphFace(O);
    Morph.m_oBaseHead = m_oBaseHead;
    Morph.m_oHairMesh = m_oHairMesh;
    Morph.m_oOtherMeshes.Length = 0;
    I = 0;
    while (I < m_oOtherMeshes.Length)
    {
        Morph.m_oOtherMeshes.AddItem(m_oOtherMeshes[I]);
        ++I;
    }
    Morph.m_aMorphFeatures.Length = 0;
    I = 0;
    while (I < m_aMorphFeatures.Length)
    {
        Morph.m_aMorphFeatures.AddItem(m_aMorphFeatures[I]);
        ++I;
    }
    Morph.m_oMaterialOverrides.ReadSaveObject(m_oMaterialOverrides);
    Morph.m_aFinalSkeleton.Length = 0;
    I = 0;
    while (I < m_aFinalSkeleton.Length)
    {
        Morph.m_aFinalSkeleton.AddItem(m_aFinalSkeleton[I]);
        ++I;
    }
    I = 0;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            if (m_aVertexBuffersLOD0.m_vPosition.Length > J)
            {
                Morph.SetPosition(I, J, m_aVertexBuffersLOD0.m_vPosition[J]);
            }
            ++J;
        }
    }
    I = 1;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            if (m_aVertexBuffersLOD1.m_vPosition.Length > J)
            {
                Morph.SetPosition(I, J, m_aVertexBuffersLOD1.m_vPosition[J]);
            }
            ++J;
        }
    }
    I = 2;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            if (m_aVertexBuffersLOD2.m_vPosition.Length > J)
            {
                Morph.SetPosition(I, J, m_aVertexBuffersLOD2.m_vPosition[J]);
            }
            ++J;
        }
    }
    I = 3;
    if (I < Morph.GetNumVertexBuffers())
    {
        J = 0;
        while (J < Morph.GetNumVerts(I))
        {
            if (m_aVertexBuffersLOD3.m_vPosition.Length > J)
            {
                Morph.SetPosition(I, J, m_aVertexBuffersLOD3.m_vPosition[J]);
            }
            ++J;
        }
    }
}

defaultproperties
{
}
