﻿class BioSeqAct_AddSquadToPerception extends SequenceAction
    hidecategories(Object);

var() Actor oPerceivedSquad;

var() Actor oPawn;

function Activated()
{
    local BioEpicPawnBehavior oBehavior;
    local BioBaseSquad oTargetSquad;
    local BioBaseSquad oSquad;
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    if (Controller(oPawn) != None)
    {
        oPawn = Controller(oPawn).Pawn;
    }
    if (oPawn != None)
    {
        oBehavior = BioEpicPawnBehavior(oPawn.oBioComponent);
        if (oBehavior != None)
        {
            oTargetSquad = oBehavior.Squad;
        }
    }
    if (BioBaseSquad(oPawn) != None)
    {
        oTargetSquad = BioBaseSquad(oPawn);
    }
    oSquad = BioBaseSquad(oPerceivedSquad);
    if (oSquad != None && oTargetSquad != None)
    {
        oTargetSquad.AddSquadToPerception(oSquad);
        oSquad.AddSquadToPerception(oTargetSquad);
        OutputLinks[0].bHasImpulse = true;
        return;
    }
    OutputLinks[1].bHasImpulse = true;
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
}
