﻿class BioSeqAct_DUISetElementColor extends SequenceAction
    hidecategories(Object);

var() Color oColor;

var() BioDUIElements Element;

function Activated()
{
    local array<int> intVars;
    local bool bColorLinked;
    local Color stColor;
    GetIntVars(intVars, "R");
    if (intVars.Length > 0)
    {
        stColor.R = Min(intVars[0], 255);
        bColorLinked = true;
        intVars.Length = 0;
    }
    GetIntVars(intVars, "G");
    if (intVars.Length > 0)
    {
        stColor.G = Min(intVars[0], 255);
        bColorLinked = true;
        intVars.Length = 0;
    }
    GetIntVars(intVars, "B");
    if (intVars.Length > 0)
    {
        stColor.B = Min(intVars[0], 255);
        bColorLinked = true;
        intVars.Length = 0;
    }
    MassEffectGuiManager(BioWorldInfo(GetWorldInfo()).GetLocalPlayerController().GetScaleFormManager()).GetDUIHandler().SetElementColor(Element, bColorLinked ? stColor : oColor);
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
