﻿class BioSeqAct_DoActionInRadius extends SequenceAction
    hidecategories(Object);

var Actor CurrentObject;

var int m_nIndex;

var transient array<Actor> m_aActorList;

var() float Radius;

var() Actor SourceActor;

var() class<Actor> ClassFilter;

function Activated()
{
    local Actor oTempActor;
    if (InputLinks[0].bHasImpulse)
    {
        m_aActorList.Length = 0;
        foreach SourceActor.CollidingActors(ClassFilter, oTempActor, Radius, SourceActor.Location, true)
        {
            if (oTempActor != SourceActor)
            {
                m_aActorList[m_aActorList.Length] = oTempActor;
            }
        }
        if (m_aActorList.Length > 0)
        {
            CurrentObject = m_aActorList[m_nIndex++];
            OutputLinks[1].bHasImpulse = true;
            return;
        }
        m_aActorList.Length = 0;
        OutputLinks[0].bHasImpulse = true;
        m_nIndex = 0;
    }
    else
    {
        if (m_nIndex < m_aActorList.Length)
        {
            CurrentObject = m_aActorList[m_nIndex++];
            OutputLinks[1].bHasImpulse = true;
            return;
        }
        CurrentObject = None;
        m_aActorList.Length = 0;
        OutputLinks[0].bHasImpulse = true;
        m_nIndex = 0;
    }
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
