﻿class BioSeqAct_DoActionInVolume extends SequenceAction
    hidecategories(Object);

var Actor CurrentObject;

var transient array<Actor> m_aActorList;

var int m_nIndex;

var() Actor Volume;

var() class<Actor> ClassFilter;

function Activated()
{
    local Actor TouchingActor;
    if (InputLinks[0].bHasImpulse)
    {
        m_nIndex = 0;
        m_aActorList.Length = 0;
        foreach Volume.TouchingActors(ClassFilter, TouchingActor)
        {
            m_aActorList[m_aActorList.Length] = TouchingActor;
        }
        if (m_nIndex >= 0 && m_nIndex < m_aActorList.Length)
        {
            CurrentObject = m_aActorList[m_nIndex++];
            OutputLinks[1].bHasImpulse = true;
            return;
        }
        m_aActorList.Length = 0;
        OutputLinks[0].bHasImpulse = true;
        m_nIndex = 0;
    }
    else
    {
        if (m_nIndex >= 0 && m_nIndex < m_aActorList.Length)
        {
            CurrentObject = m_aActorList[m_nIndex++];
            OutputLinks[1].bHasImpulse = true;
            return;
        }
        CurrentObject = None;
        m_aActorList.Length = 0;
        OutputLinks[0].bHasImpulse = true;
        m_nIndex = 0;
    }
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
