﻿class BioSeqAct_FactionRelationShip extends SequenceAction
    hidecategories(Object);

var() Object Input2;

var() Object Input1;

function BioPawn GetPawnFrom(Object oInObj)
{
    if (BioBaseSquad(oInObj) != None)
    {
        return BioPawn(BioBaseSquad(oInObj).GetMember(0));
    }
    if (BioPawn(oInObj) != None)
    {
        return BioPawn(oInObj);
    }
    return None;
}

function Activated()
{
    local BioPawn Pawn1;
    local BioPawn Pawn2;
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    OutputLinks[2].bHasImpulse = false;
    Pawn1 = GetPawnFrom(Input1);
    Pawn2 = GetPawnFrom(Input2);
    if (Pawn1.IsFriendly(Pawn2))
    {
        OutputLinks[0].bHasImpulse = true;
    }
    else
    {
        if (Pawn1.IsHostile(Pawn2))
        {
            OutputLinks[2].bHasImpulse = true;
        }
        else
        {
            OutputLinks[1].bHasImpulse = true;
        }
    }
}

defaultproperties
{
    bManualHandleOutputs=true
    OutputLinks=None
}
