﻿class BioSeqAct_GetEquippedWeapon extends SequenceAction
    hidecategories(Object);

var bool bZoomed;

var() Actor oPawn;

function Activated()
{
    local BioPawn Pawn;
    local SFXWeapon oWeapon;
    Pawn = BioPawn(oPawn);
    if (oPawn == None)
    {
        OutputLinks[0].bHasImpulse = true;
        return;
    }
    oWeapon = SFXWeapon(Pawn.Weapon);
    if (oWeapon == None)
    {
        OutputLinks[0].bHasImpulse = true;
        return;
    }
    if (SFXWeapon_AssaultRifle_Base(oWeapon) != None)
    {
        OutputLinks[1].bHasImpulse = true;
    }
    else
    {
        if (SFXWeapon_Shotgun_Base(oWeapon) != None)
        {
            OutputLinks[2].bHasImpulse = true;
        }
        else
        {
            if (SFXWeapon_SniperRifle_Base(oWeapon) != None)
            {
                OutputLinks[3].bHasImpulse = true;
            }
            else
            {
                if (SFXWeapon_HeavyPistol_Base(oWeapon) != None)
                {
                    OutputLinks[4].bHasImpulse = true;
                }
                else
                {
                    if (SFXWeapon_AutoPistol_Base(oWeapon) != None)
                    {
                        OutputLinks[5].bHasImpulse = true;
                    }
                    else
                    {
                        if (SFXHeavyWeapon(oWeapon) != None)
                        {
                            OutputLinks[6].bHasImpulse = true;
                        }
                        else
                        {
                            OutputLinks[0].bHasImpulse = true;
                        }
                    }
                }
            }
        }
    }
    bZoomed = oWeapon.IsZoomed();
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
}
