﻿class BioSeqAct_IncreaseTalentMaxRank extends SequenceAction
    hidecategories(Object);

enum EBioSeqActIncreaseTalentMaxRankInput
{
    EBioSeqActIncreaseTalentMaxRankInput_TalentID,
    EBioSeqActIncreaseTalentMaxRankInput_MaxRank,
    EBioSeqActIncreaseTalentMaxRankInput_ExtraPoints,
};

enum EBioSeqActIncreaseTalentMaxRankOutput
{
    EBioSeqActIncreaseTalentMaxRankOutput_Success,
    EBioSeqActIncreaseTalentMaxRankOutput_Failure,
};

var int m_rankIncrement;

var int m_maxRankIncrement;

var int m_TalentID;

function Activated()
{
    local BioPawn Player;
    local bool wasSuccessful;
    Player = BioWorldInfo(GetWorldInfo()).m_playerSquad.m_playerPawn;
    wasSuccessful = Player.m_oBehavior.m_Talents.IncreaseTalentMaxRankByIncrement(m_TalentID, m_maxRankIncrement);
    if (m_rankIncrement != 0)
    {
        Player.m_oBehavior.m_Talents.ScaleTalentByIncrement(m_TalentID, m_rankIncrement);
    }
    if (wasSuccessful)
    {
        OutputLinks[0].bHasImpulse = true;
    }
    else
    {
        OutputLinks[1].bHasImpulse = true;
    }
}

defaultproperties
{
    bManualHandleOutputs=true
    OutputLinks=None
}
