﻿class BioSeqAct_IsAbilityEnabled extends SequenceAction
    hidecategories(Object)
    native;

var() Name m_nmSubType;

var() Pawn m_oPawn;

function Activated()
{
    local EDisableType eType;
    local BioEpicPawnBehavior oBehave;
    if (InputLinks[0].bHasImpulse == true)
    {
        eType = 0;
    }
    else
    {
        if (InputLinks[1].bHasImpulse == true)
        {
            eType = 1;
        }
        else
        {
            if (InputLinks[2].bHasImpulse == true)
            {
                eType = 2;
            }
        }
    }
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = false;
    oBehave = BioEpicPawnBehavior(m_oPawn.oBioComponent);
    if (oBehave != None)
    {
        if (oBehave.IsAbilityEnabled(eType, m_nmSubType))
        {
            OutputLinks[0].bHasImpulse = true;
        }
        else
        {
            OutputLinks[1].bHasImpulse = true;
        }
    }
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
