﻿class BioSeqAct_RemovePlaypenVolume extends SequenceAction
    hidecategories(Object);

var() Actor Squad;

var() array<Actor> Volumes;

function Activated()
{
    local int VolumesIndex;
    local int SquadVolumesIndex;
    local BioBaseSquad TestSquad;
    local BioPlaypenVolume TestVolume;
    TestSquad = BioBaseSquad(Squad);
    if (TestSquad != None)
    {
        VolumesIndex = 0;
        while (VolumesIndex < Volumes.Length)
        {
            TestVolume = BioPlaypenVolume(Volumes[VolumesIndex]);
            if (TestVolume != None)
            {
                SquadVolumesIndex = 0;
                while (SquadVolumesIndex < TestSquad.PlaypenVolumes.Length)
                {
                    if (TestSquad.PlaypenVolumes[SquadVolumesIndex] == TestVolume)
                    {
                        TestSquad.PlaypenVolumes.Remove(SquadVolumesIndex, 1);
                        break;
                    }
                    SquadVolumesIndex++;
                }
            }
            VolumesIndex++;
        }
        TestSquad.UpdatePlaypen();
        TestSquad.NotifyPlaypenChanged();
    }
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
