﻿class BioSeqAct_ShowMainMenu extends SequenceAction
    hidecategories(Object)
    config(UI)
    native;

var array<Object> m_aReferencedObjects;

var array<GFxMovieInfo> m_lstMainMenuReferenced;

var config array<String> m_lstMainMenuResourcesConsole;

var config array<String> m_lstMainMenuResources;

function Activated()
{
    local MassEffectGuiManager oGuiMgr;
    local BioWorldInfo oBWorldInfo;
    oBWorldInfo = BioWorldInfo(GetWorldInfo());
    oGuiMgr = MassEffectGuiManager(oBWorldInfo.GetLocalPlayerController().GetScaleFormManager());
    if (oGuiMgr != None)
    {
        oGuiMgr.ShowMainMenu();
    }
}

defaultproperties
{
    m_lstMainMenuResources(0)="GUI_SF_MainMenu.CharacterCreation"
    m_lstMainMenuResources(1)="GUI_SF_MainMenu.MainMenu"
    m_lstMainMenuResources(2)="GUI_SF_Achievement.Achievement"
    m_lstMainMenuResources(3)="GUI_SF_MainMenu.Splash"
    m_lstMainMenuResources(4)="GUI_SF_AdditionalContent.AdditionalContent"
    m_lstMainMenuResources(5)="GUI_SF_ReplayCharacterSelect.ReplayCharacterSelect"
    m_lstMainMenuResources(6)="GUI_SF_Networking.NetworkRegistration"
    m_lstMainMenuResources(7)="GUI_SF_ChoiceGUI.PRCStore"
    m_lstMainMenuResourcesConsole(0)="GUI_SF_MainMenu.CharacterCreation"
    m_lstMainMenuResourcesConsole(1)="GUI_SF_MainMenu.MainMenu"
    m_lstMainMenuResourcesConsole(2)="GUI_SF_Achievement.Achievement"
    m_lstMainMenuResourcesConsole(3)="GUI_SF_MainMenu.Splash"
    m_lstMainMenuResourcesConsole(4)="GUI_SF_AdditionalContent.AdditionalContent"
    m_lstMainMenuResourcesConsole(5)="GUI_SF_ReplayCharacterSelect.ReplayCharacterSelect"
    m_lstMainMenuResourcesConsole(6)="GUI_SF_Networking.NetworkRegistration"
    m_lstMainMenuResourcesConsole(7)="GUI_SF_ChoiceGUI.PRCStore"
    bCallHandler=false
    VariableLinks=None
}
