﻿class BioSeqAct_ShowMessage extends BioSequenceLatentAction
    hidecategories(Object);

var float m_fRemainingDisplayTime;

var bool m_bWasPaused;

var bool m_bAPressed;

var bool m_bFinished;

var() bool bNoFade;

var() int nIconIndex;

var SFX_MB_TextAlign m_TextAlign;

var() SFX_MB_Skin m_Skin;

var() BioMessageBoxIconSets nIconSet;

var() float fDisplayTime;

// srBButton: StringRefProperty[44]
// srAButton: StringRefProperty[44]
// srText: StringRefProperty[44]
function Activated()
{
    local BioSFHandler_MessageBox oMsgBox;
    local BioMessageBoxOptionalParams stParams;
    m_bFinished = false;
    if (srAButton != 0 || srBButton != 0)
    {
        oMsgBox = MassEffectGuiManager(BioWorldInfo(GetWorldInfo()).GetLocalPlayerController().GetScaleFormManager()).CreateMessageBox();
        oMsgBox.SetInputDelegate(MessageInputPressed);
        stParams.srAText = // unknown bytecode 4F ;
    }
}

function bool UpdateOp(float fDeltaT)
{
    if (m_bFinished)
    {
        if (srAButton != 0 || srBButton != 0)
        {
            if (m_bAPressed)
            {
                OutputLinks[1].bHasImpulse = true;
            }
            else
            {
                OutputLinks[2].bHasImpulse = true;
            }
        }
        else
        {
            OutputLinks[0].bHasImpulse = true;
        }
        return true;
    }
    return false;
}

final function MessageInputPressed(bool bAPressed, int nContext)
{
    m_bFinished = true;
    m_bAPressed = bAPressed;
    GetWorldInfo().bPlayersOnly = m_bWasPaused;
}

final function MessageBoxUpdate(float fDeltaT, BioSFHandler_MessageBox oMsgBox)
{
    m_fRemainingDisplayTime -= fDeltaT;
    if (m_fRemainingDisplayTime <= 0)
    {
        m_bFinished = true;
        oMsgBox.HideMessageBox();
    }
}

defaultproperties
{
    m_Skin=SFX_MB_Skin_Shepard
    bHasTargets=false
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
}
