﻿class BioSeqAct_SkillGame extends SeqAct_Latent
    hidecategories(Object)
    native;

var() int m_nMaxSalvage;

var() int m_nMinSalvage;

var() float m_fButtonStartDelay;

var() float m_fButtonTimeout;

var() int m_nNumberOfButtons;

var ECustomSkillGameComplete m_CompletionState;

var() bool m_bSkillGameFailed;

var bool m_Completed;

var() bool m_bDoNotUseSalvage;

// m_preGameButtonXText: StringRefProperty[44]
// m_preGameButtonBText: StringRefProperty[44]
// m_preGameButtonAText: StringRefProperty[44]
// m_GameMessageDuringGame: StringRefProperty[44]
// m_GameMessageFailure: StringRefProperty[44]
// m_GameMessageSuccess: StringRefProperty[44]
enum ECustomSkillGameComplete
{
    CUSTOM_SK_CANCEL,
    CUSTOM_SK_SUCCESS,
    CUSTOM_SK_FAIL,
    CUSTOM_SK_UNDEFINED,
};

native function OnSuccess(int i_salvage);

native function OnFailure(int i_salvage);

native function OnCancel();

event GrantCustomGameXp(BioWorldInfo oBWorldInfo)
{
    if (oBWorldInfo != None)
    {
        Class'BioConsequenceFunctions'.GrantScaledXP(oBWorldInfo, 5);
    }
}

defaultproperties
{
    m_CompletionState=CUSTOM_SK_UNDEFINED
    m_nNumberOfButtons=3
    m_fButtonTimeout=0,8
    m_fButtonStartDelay=0,8
    bCallHandler=false
    bManualHandleOutputs=true
    InputLinks=None
}
