﻿class BioSeqAct_TalkObjSelect extends SequenceAction
    hidecategories(Object);

const NUM_HENCH = 12;
var() int nHench2;

var() int nHench1;

var() Actor oPlayer;

var() float f11_Veteran;

var() float f10_Mystic;

var() float f09_Grunt;

var() float f08_Professor;

var() float f07_Tali;

var() float f06_Assassin;

var() float f05_Garrus;

var() float f04_Thief;

var() float f03_Geth;

var() float f02_Convict;

var() float f01_Leading;

var() float f00_Vixen;

function int GetHenchID(Name Tag)
{
    local int Id;
    Id = -1;
    switch (Tag)
    {
        case 'hench_vixen':
            Id = 0;
            break;
        case 'hench_leading':
            Id = 1;
            break;
        case 'hench_convict':
            Id = 2;
            break;
        case 'hench_geth':
            Id = 3;
            break;
        case 'hench_thief':
            Id = 4;
            break;
        case 'hench_garrus':
            Id = 5;
            break;
        case 'hench_assassin':
            Id = 6;
            break;
        case 'hench_tali':
            Id = 7;
            break;
        case 'hench_professor':
            Id = 8;
            break;
        case 'hench_grunt':
            Id = 9;
            break;
        case 'hench_mystic':
            Id = 10;
            break;
        case 'hench_veteran':
            Id = 11;
            break;
    }
    return Id;
}

event Activated()
{
    local float fPriority;
    local int nSwap;
    local int nSquadID1;
    local int nSquadID2;
    local Pawn oPlayerPawn;
    local BioBaseSquad oSquad;
    local float fHench1Prio;
    local float fHench2Prio;
    fPriority[0] = f00_Vixen;
    fPriority[1] = f01_Leading;
    fPriority[2] = f02_Convict;
    fPriority[3] = f03_Geth;
    fPriority[4] = f04_Thief;
    fPriority[5] = f05_Garrus;
    fPriority[6] = f06_Assassin;
    fPriority[7] = f07_Tali;
    fPriority[8] = f08_Professor;
    fPriority[9] = f09_Grunt;
    fPriority[10] = f10_Mystic;
    fPriority[11] = f11_Veteran;
    nHench1 = -1;
    nHench2 = -1;
    OutputLinks[0].bHasImpulse = true;
    if (oPlayer == None)
    {
        return;
    }
    oPlayerPawn = Pawn(oPlayer);
    if (oPlayerPawn == None)
    {
        oPlayerPawn = PlayerController(oPlayer).Pawn;
    }
    oSquad = BioEpicPawnBehavior(oPlayerPawn.oBioComponent).Squad;
    if (oSquad == None)
    {
        return;
    }
    if (oSquad.GetSquadSize() != 3)
    {
    }
    nSquadID1 = GetHenchID(oSquad.GetMember(1).Tag);
    nSquadID2 = GetHenchID(oSquad.GetMember(2).Tag);
    fHench1Prio = fPriority[nSquadID1];
    fHench2Prio = fPriority[nSquadID2];
    if (fHench1Prio > 0)
    {
        nHench1 = nSquadID1;
    }
    if (fHench2Prio > 0)
    {
        nHench2 = nSquadID2;
    }
    if (fHench1Prio > fHench2Prio)
    {
        nSwap = nHench1;
        nHench1 = nHench2;
        nHench2 = nSwap;
    }
    if (nHench1 == -1)
    {
        nHench1 = nHench2;
        nHench2 = -1;
    }
}

defaultproperties
{
    bCallHandler=false
    bManualHandleOutputs=true
    VariableLinks=None
}
