﻿class BioSkillGame_Base_Handler extends BioSFHandler
    config(UI)
    abstract
    transient
    native;

var String m_sBackgroundMusic;

var Name m_sTecPlotStateName;

var BioPawn m_oUsingPawn;

var Object m_oDependent;

var int m_nPhase2Time;

var int m_nPhase2Resource;

var int m_nStartingResource;

var bool m_bCanceled;

var bool m_bSuccessfulEndGame;

var bool m_bRewardOnTimeFail;

var float m_fTecTimeMultiplier;

delegate OnSuccessCallback(int n_TimeTaken);

delegate OnFailureCallback(int n_TimeTaken);

delegate OnCancelCallback(int n_TimeTaken);

native function ExIntInterruptGame();

native function ExIntStopLoopingSound();

native function ExIntStartLoopingSound();

native function ExIntCancelGame();

native function ExIntInitGame();

native function ExIntStartGame();

native function ExIntGameOver(bool bGameWon, int nRemainingResource);

native function Cancel();

defaultproperties
{
    m_fTecTimeMultiplier=1
    m_nStartingResource=10000
    m_nPhase2Time=20000
}
