﻿class BioSkillGame_Bypass_Handler extends BioSkillGame_Base_Handler
    config(UI)
    transient
    native;

var int m_nConsoleBurnDown;

var int m_nPCBurnDown;

var int m_nNumToSpawn;

var Vector m_vLeftInput;

var Vector m_vRightInput;

function HandleInputEvent(BioGuiEvents Event, optional float fValue = 1)
{
    switch (Event)
    {
        case 2:
            m_vLeftInput.X = fValue;
            break;
        case 3:
            m_vLeftInput.Y = -fValue;
            break;
        default:
            HandleInputEvent(Event, fValue);
    }
}

function Update(float fDeltaT)
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    local float DeadZone;
    local float fDeadzoneModifier;
    if (oPanel != None)
    {
        DeadZone = 0,1;
        fDeadzoneModifier = FClamp(VSize(m_vLeftInput) - DeadZone / 1 - DeadZone, 0, 1);
        if (fDeadzoneModifier > 0)
        {
            stParam.Type = 1;
            stParam.fVar = m_vLeftInput.X * fDeadzoneModifier;
            lstParams.AddItem(stParam);
            stParam.Type = 1;
            stParam.fVar = m_vLeftInput.Y * fDeadzoneModifier;
            lstParams.AddItem(stParam);
            stParam.Type = 1;
            stParam.fVar = 0;
            lstParams.AddItem(stParam);
            stParam.Type = 1;
            stParam.fVar = 0;
            lstParams.AddItem(stParam);
            stParam.Type = 1;
            stParam.fVar = fDeltaT;
            lstParams.AddItem(stParam);
            oPanel.InvokeMethodArgs("SetCursorPositions", lstParams);
        }
        lstParams.Length = 0;
        stParam.Type = 1;
        stParam.fVar = fDeltaT * 1000;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("Update", lstParams);
    }
}

function OnPanelAdded()
{
    oPanel.SetExternalInterface(self);
    oPanel.bApplyLeftThumbstickDeadzone = true;
    oPanel.bApplyRightThumbstickDeadzone = true;
    oPanel.SetMouseVisible(true);
    OnPanelAdded();
}

defaultproperties
{
    m_nNumToSpawn=3
    m_nPCBurnDown=1250
    m_nConsoleBurnDown=2000
    m_fTecTimeMultiplier=2
    m_sTecPlotStateName=Tec_MiniGameDecrypt
    m_sBackgroundMusic="SkillGameBackgroundDecoding"
}
