﻿class BioSpectatorModeState extends BioSpectatorMode;

function InitializeOptions(BioWorldInfo WorldInfo)
{
    local Actor Target;
    local int I;
    local BioState BS;
    InitializeOptions(WorldInfo);
    Target = WorldInfo.GetLocalPlayerController().PlayerCamera.ViewTarget.Target;
    if (BioArtPlaceable(Target) != None)
    {
        I = 0;
        m_options.Length = 0;
        BS = BioArtPlaceable(Target).FSM.FSMData.GetStateByIndex(I++);
        while (BS != None)
        {
            m_options[m_options.Length] = BS.StateName;
            BS = BioArtPlaceable(Target).FSM.FSMData.GetStateByIndex(I++);
        }
    }
}

function ActivateOption(BioWorldInfo WorldInfo)
{
    local Actor Target;
    local int I;
    local BioState BS;
    ActivateOption(WorldInfo);
    Target = WorldInfo.GetLocalPlayerController().PlayerCamera.ViewTarget.Target;
    if (BioArtPlaceable(Target) != None)
    {
        BS = BioArtPlaceable(Target).FSM.FSMData.GetStateByIndex(m_nSelectedOption);
        if (m_nCurrentLevel == 0)
        {
            m_subOptions.Length = 0;
            m_subOptions[0] = "Default Transition";
            I = 0;
            while (I < BS.StateTransitions.Length)
            {
                if (BS.StateTransitions[I].TransitionOptionalName != "None")
                {
                    m_subOptions[m_subOptions.Length] = BS.StateTransitions[I].TransitionOptionalName;
                }
                I++;
            }
            m_nSelectedSubOption = 0;
            m_nCurrentLevel = 1;
        }
        else
        {
            if (m_nSelectedSubOption == 0)
            {
                BioArtPlaceable(Target).m_oBehavior.SetState(m_options[m_nSelectedOption]);
            }
            else
            {
                BioArtPlaceable(Target).m_oBehavior.SetState(m_options[m_nSelectedOption], m_subOptions[m_nSelectedSubOption]);
            }
        }
    }
}

defaultproperties
{
}
