﻿class BioState extends Object
    hidecategories(Object)
    native
    editinlinenew;

var() bool bFinishAnimationBeforeTransition;

var() array<BioTransition> StateTransitions;

var() Name AnimationName;

var() Name StateName;

function bool HasTransitionTo(Name ToState, optional Name NamedTransition)
{
    local int I;
    I = 0;
    while (I < StateTransitions.Length)
    {
        if (StateTransitions[I].TransitionToState == ToState && NamedTransition == 'None' || StateTransitions[I].TransitionOptionalName == NamedTransition)
        {
            return true;
        }
        I++;
    }
    return false;
}

function BioTransition GetTransition(Name ToState, optional Name NamedTransition)
{
    local BioTransition BestTransition;
    local int I;
    BestTransition = None;
    I = 0;
    while (I < StateTransitions.Length)
    {
        if (StateTransitions[I].TransitionToState == ToState && BestTransition == None || StateTransitions[I].TransitionOptionalName == NamedTransition)
        {
            BestTransition = StateTransitions[I];
        }
        I++;
    }
    return BestTransition;
}

defaultproperties
{
    StateName=Default state name
}
