﻿class SFXAI_CombatScripted extends SFXAI_Core
    hidecategories(Navigation)
    config(AI)
    placeable;

state Combat_Scripted
{
    while (true)
    {
        if (FireTarget != None && Focus != FireTarget)
        {
            Focus = FireTarget;
        }
        Sleep(0,5);
    }
    jump 0;
    // unresolved reference 0 ;
}

function UsePowerOnTarget(Name nmPowerToUse, Actor oTarget, optional delegate<UsePowerDelegate> PowerDelegate, optional bool bIgnoreSuppression)
{
    ReadyMode();
    m_bIgnorePowerSuppression = bIgnoreSuppression;
    RequestPowerReservation(nmPowerToUse, true);
    FireTarget = oTarget;
    m_nmPowerToUse = nmPowerToUse;
    __UsePowerDelegate__Delegate = PowerDelegate;
    PushState('UsingPower');
}

function FireWeaponAtTarget(Actor oTarget, bool bCheckLOS, optional delegate<FireWeaponDelegate> FireDelegate)
{
    if (MyBP != None && MyBP.Weapon == None)
    {
        ReadyMode();
    }
    m_bCheckLOS = bCheckLOS;
    FireTarget = oTarget;
    __FireWeaponDelegate__Delegate = FireDelegate;
    PushState('FiringWeapon');
}

function MoveToGoalExternal(Actor NewMoveGoal, optional float NewMoveOffset, optional delegate<MoveToDelegate> MoveDelegate)
{
    MoveToGoal(NewMoveGoal, NewMoveOffset, MoveDelegate);
}

function SwitchWeapon(SFXWeapon oWpn)
{
    SwitchWeapon(oWpn);
    PushState('SwitchingWeapons');
}

defaultproperties
{
    m_nmCurrentBehavior=Combat_Scripted
    BehaviourList(0)=Combat_Scripted
    AtCover_WeaponRange=Goal_AtCover'AtCov_EvalWeaponRange'
    AtCover_Defensive=Goal_AtCover'AtCov_EvalDefensive'
    AtCover_Aggressive=Goal_AtCover'AtCov_EvalAggressive'
    AtCover_NearMoveGoal=Goal_AtCover'AtCov_EvalNearGoal'
    AtCover_AIGoHere=Goal_AtGoHereCover'AtCov_EvalGoHere'
    // child object AtCov_EvalAggressive of type Goal_AtCover
    // child object AtCov_EvalDefensive of type Goal_AtCover
    // child object AtCov_EvalNearGoal of type Goal_AtCover
    // child object AtCov_EvalWeaponRange of type Goal_AtCover
    // child object AtCov_EvalGoHere of type Goal_AtGoHereCover
}
