﻿class SFXCameraMode_SniperZoomCover extends SFXCameraMode_SniperZoom;

var transient Vector LastPosition;

var Name PosHookName[6];

var Vector PosHookOffset[6];

var Vector PosOffset[6];

function SetPosition(ECoverCameraPosition pos)
{
    Offset = PosOffset[pos];
    HookOffset = PosHookOffset[pos];
    HookName = PosHookName[pos];
}

function Vector GetCameraLocation()
{
    local BioPawn BP;
    if (HookName == 'CoverSlot')
    {
        BP = BioPawn(Owner.Pawn);
        if (BP.CurrentLink != None && BP.CoverAction == 9 || BP.CoverAction == 10 || BP.CoverAction == 3 || BP.CoverAction == 4)
        {
            LastPosition = GetActorCameraHook() - QuatRotateVector(QuatFromRotator(m_pov.Rotation), Offset);
        }
        return LastPosition;
    }
    return GetCameraLocation();
}

defaultproperties
{
    PosOffset=(X=155,Y=90,Z=0)
    PosOffset=(X=155,Y=90,Z=0)
    PosOffset=(X=155,Y=-90,Z=0)
    PosOffset=(X=155,Y=-90,Z=0)
    PosOffset=(X=155,Y=-30,Z=0)
    PosOffset=(X=155,Y=-30,Z=0)
    PosHookOffset=(X=0,Y=0,Z=29)
    PosHookOffset=(X=0,Y=0,Z=79)
    PosHookOffset=(X=0,Y=0,Z=29)
    PosHookOffset=(X=0,Y=0,Z=79)
    PosHookOffset=(X=0,Y=0,Z=79)
    PosHookOffset=(X=0,Y=0,Z=29)
    PosHookName=CoverSlot
    PosHookName=CoverSlot
    PosHookName=CoverSlot
    PosHookName=CoverSlot
    PosHookName=Camera
    PosHookName=Camera
    Input=SFXCameraInput's_Input'
    // child object s_Input of type SFXCameraInput
}
