﻿class SFXCameraMode_TightAimCover extends SFXCameraMode_TightAim;

var transient Vector LastPosition;

var Name PosHookName[6];

var Vector PosHookOffset[6];

var Vector PosOffset[6];

function SetPosition(ECoverCameraPosition pos)
{
    Offset = PosOffset[pos];
    HookOffset = PosHookOffset[pos];
    HookName = PosHookName[pos];
}

function Vector GetCameraLocation()
{
    local BioPawn BP;
    if (HookName == 'CoverSlot')
    {
        BP = BioPawn(Owner.Pawn);
        if (BP.CurrentLink != None && BP.CoverAction == 9 || BP.CoverAction == 10 || BP.CoverAction == 3 || BP.CoverAction == 4)
        {
            LastPosition = GetActorCameraHook() - QuatRotateVector(QuatFromRotator(m_pov.Rotation), Offset);
        }
        return LastPosition;
    }
    return GetCameraLocation();
}

function Tick(float TimeDelta)
{
    Tick(TimeDelta);
    if (SFXWeapon(Owner.Pawn.Weapon) != None)
    {
        m_pov.FOV = SFXWeapon(Owner.Pawn.Weapon).ZoomFOV;
    }
}

defaultproperties
{
    PosOffset=(X=125,Y=115,Z=20)
    PosOffset=(X=125,Y=110,Z=20)
    PosOffset=(X=135,Y=-110,Z=20)
    PosOffset=(X=125,Y=-115,Z=20)
    PosOffset=(X=125,Y=-60,Z=50)
    PosOffset=(X=50,Y=-40,Z=40)
    PosHookOffset=(X=-30,Y=0,Z=70)
    PosHookOffset=(X=-30,Y=0,Z=120)
    PosHookOffset=(X=-30,Y=0,Z=70)
    PosHookOffset=(X=-30,Y=0,Z=120)
    PosHookOffset=(X=-30,Y=0,Z=120)
    PosHookOffset=(X=-30,Y=0,Z=120)
    PosHookName=CoverSlot
    PosHookName=CoverSlot
    PosHookName=CoverSlot
    PosHookName=CoverSlot
    PosHookName=Camera
    PosHookName=Camera
    Offset=(X=135,Y=0,Z=0)
    HookOffset=(X=0,Y=0,Z=79)
    Input=SFXCameraInput's_Input'
    // child object s_Input of type SFXCameraInput
}
