﻿class SFXCustomAction_NeuralShock extends SFXCustomAction_DamageReaction
    config(Game);

var Name PowerName;

var Name GameEffectCategory;

var float RagdollDuration;

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    local SFXModule_GameEffectManager Manager;
    local SFXGameEffect Effect;
    BodyStanceAnimEndNotification(SeqNode, PlayedTime, ExcessTime);
    if (bRagdollOnFinish)
    {
        oPawn.ClearTimer('CheckForRagdollRecovery');
        Manager = oPawn.GetModule(Class'SFXModule_GameEffectManager');
        if (Manager != None)
        {
            Effect = Manager.CreateEffect(Class'SFXGameEffect_Ragdoll', GameEffectCategory, RagdollDuration, 1, 1);
            if (Effect != None)
            {
                Effect.bSendCompletionEvent = true;
                Effect.CompletionName = PowerName;
                Effect.OnApplied();
            }
        }
    }
}

defaultproperties
{
    fAnimBlendInTime=0,5
    fAnimBlendOutTime=0,5
    bAllowAnimInterrupt=false
    bRagdollOnFinish=true
    ERootMotionMode=RMM_Translate
}
