﻿class SFXCustomAction_Possessed extends BioCustomAction
    config(Game);

var() BodyStance BS_Possession;

function StartCustomAction()
{
    StartCustomAction();
    if (oPawn.PlayBodyStance(BS_Possession, 1, 0,2, 0,2, false, true, true) != 0)
    {
        oPawn.SetBodyStanceAnimEndNotification(BS_Possession, true);
        oPawn.SetBodyStanceRootBoneAxisOption(BS_Possession, 2, 2);
        oPawn.Mesh.RootMotionMode = 0;
    }
}

function StopCustomAction()
{
    StopCustomAction();
    oPawn.Mesh.RootMotionMode = oPawn.Mesh.Default.RootMotionMode;
    oPawn.StopBodyStance(BS_Possession, 0,2);
    oPawn.SetBodyStanceAnimEndNotification(BS_Possession, false);
    oPawn.SetBodyStanceRootBoneAxisOption(BS_Possession, 1, 1, 1);
}

function BodyStanceAnimEndNotification(AnimNodeSequence SeqNode, float PlayedTime, float ExcessTime)
{
    oPawn.Mesh.RootMotionMode = oPawn.Mesh.Default.RootMotionMode;
    oPawn.SetBodyStanceRootBoneAxisOption(BS_Possession, 1, 1, 1);
    if (SFXPlayerController(oPawn.Controller) != None)
    {
        SFXPlayerController(oPawn.Controller).EndCustomAction();
    }
    else
    {
        if (SFXAI_Core(oPawn.Controller) != None)
        {
            SFXAI_Core(oPawn.Controller).EndCustomAction();
        }
    }
}

defaultproperties
{
    VocalizationEvent=SFXVocalizationEvent_CollectorPossessed
}
