﻿class SFXGameEffect extends Object
    hidecategories(Object)
    abstract;

enum EDurationType
{
    DurationType_Instant,
    DurationType_Temporary,
    DurationType_Permanent,
};

var Name CompletionName;

var bool bSendCompletionEvent;

var bool bVisited;

var() bool bStacking;

var() Name Category;

var() Controller Instigator;

var() Actor Owner;

var() float EffectValue;

var() EDurationType DurationType;

var float CurrentTime;

var() float Duration;

function bool HasExpired()
{
    return CurrentTime >= Duration;
}

function GetStrongerEffect(out SFXGameEffect Effect)
{
    Effect = self;
}

function ComputeEffectValue(out float Value);

static function float ComputeTotalEffectValue(float baseValue, float StackingValue, float NonStackingValue);

function OnApplied();

function OnUpdate(float DeltaSeconds);

function OnRemoved()
{
    local BioPawn OwnerPawn;
    if (bSendCompletionEvent)
    {
        OwnerPawn = BioPawn(Owner);
        if (OwnerPawn != None)
        {
            OwnerPawn.OnPowerEffectDurationComplete(CompletionName);
        }
    }
}

function OnCombatEnd();

function OnPaused();

function OnUnpaused();

defaultproperties
{
}
