﻿class SFXGameEffect_AntiGravity extends SFXGameEffect
    hidecategories(Object);

function OnApplied()
{
    local SFXModule_GameEffectManager Manager;
    local SFXGameEffect oEffect;
    OnApplied();
    if (Owner == None)
    {
        return;
    }
    Manager = Owner.GetModule(Class'SFXModule_GameEffectManager');
    if (Manager != None)
    {
        foreach Manager.GameEffects(oEffect)
        {
            if (oEffect.Class == Class'SFXGameEffect_AntiGravity' && oEffect != self)
            {
                if (oEffect.EffectValue < EffectValue)
                {
                    return;
                }
            }
        }
    }
    Owner.m_fGravityScaling = EffectValue;
}

function OnRemoved()
{
    local SFXModule_GameEffectManager Manager;
    local SFXGameEffect oEffect;
    OnRemoved();
    if (Owner == None)
    {
        return;
    }
    Manager = Owner.GetModule(Class'SFXModule_GameEffectManager');
    if (Manager != None)
    {
        foreach Manager.GameEffects(oEffect)
        {
            if (oEffect.Class == Class'SFXGameEffect_AntiGravity' && oEffect != self)
            {
                return;
            }
        }
    }
    Owner.m_fGravityScaling = 1;
}

defaultproperties
{
}
