﻿class SFXGameEffect_PowerDamageBonus extends SFXGameEffect
    hidecategories(Object);

var bool bRemoved;

function ComputeEffectValue(out float Value)
{
    if (!bRemoved)
    {
        Value += EffectValue - 1;
    }
}

static function float ComputeTotalEffectValue(float baseValue, float StackingValue, float NonStackingValue)
{
    return baseValue + StackingValue + NonStackingValue;
}

function OnApplied()
{
    local BioPawn oPawn;
    local SFXPower oPower;
    OnApplied();
    oPawn = BioPawn(Owner);
    if (oPawn != None && oPawn.PowerManager != None)
    {
        foreach oPawn.PowerManager.Powers(oPower)
        {
            oPower.RecalculateDamageBonus();
        }
    }
}

function OnRemoved()
{
    local BioPawn oPawn;
    local SFXPower oPower;
    OnRemoved();
    bRemoved = true;
    oPawn = BioPawn(Owner);
    if (oPawn != None && oPawn.PowerManager != None)
    {
        foreach oPawn.PowerManager.Powers(oPower)
        {
            oPower.RecalculateDamageBonus();
        }
    }
}

defaultproperties
{
}
