﻿class SFXGameModeCheatMenu extends SFXGameModeBase
    within BioPlayerController
    config(Input);

exec function IPEForward()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformRightAction();
    }
}

exec function IPEBack()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformLeftAction();
    }
}

exec function EndIPE()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        if (oBWI.m_oPropertyEditor.DeactivateSystem())
        {
            Outer.GameModeManager2.DisableMode(11);
        }
    }
}

exec function IPERightShoulder()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformRightShoulderAction();
    }
}

exec function IPELeftShoulder()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformLeftShoulderAction();
    }
}

exec function IPERightTrigger()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformRightTriggerAction();
    }
}

exec function IPELeftTrigger()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformLeftTriggerAction();
    }
}

exec function IPEUpAction()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformUpAction();
    }
}

exec function IPEDownAction()
{
    local BioWorldInfo oBWI;
    oBWI = BioWorldInfo(Outer.WorldInfo);
    if (oBWI == None)
    {
        return;
    }
    if (oBWI.m_oPropertyEditor != None)
    {
        oBWI.m_oPropertyEditor.PerformDownAction();
    }
}

defaultproperties
{
    Priority=ModePriority_CheatMenu
}
