﻿class SFXPointOfInterest extends Actor
    hidecategories(Navigation)
    native
    placeable;

function PostBeginPlay()
{
    SetDrawScale(1);
    PostBeginPlay();
}

function OnAttacked(Pawn oAttacker, Name WeaponName)
{
    local BioSeqEvt_OnAttacked Event;
    local int I;
    if (oAttacker != None)
    {
        I = 0;
        while (I < GeneratedEvents.Length)
        {
            Event = BioSeqEvt_OnAttacked(GeneratedEvents[I]);
            if (Event != None)
            {
                if (Event.CheckActivate(self, oAttacker))
                {
                    Event.SetNameVars("Weapon", WeaponName);
                    Event.SetObjectVars("Who", oAttacker);
                }
            }
            I++;
        }
    }
}

function OnCastAt(Pawn oAttacker, SFXPower Power)
{
    local BioSeqEvt_OnCastAt Event;
    local int I;
    if (oAttacker != None)
    {
        I = 0;
        while (I < GeneratedEvents.Length)
        {
            Event = BioSeqEvt_OnCastAt(GeneratedEvents[I]);
            if (Event != None)
            {
                if (Event.CheckActivate(self, oAttacker))
                {
                    Event.SetNameVars("Power", Power.PowerName);
                    Event.SetObjectVars("Who", oAttacker);
                    Event.SetIntVars("Category", Power.Discipline);
                }
            }
            I++;
        }
    }
}

defaultproperties
{
    Components=None
    ***Deleted***=System.Byte[]
    // child object tempSelectionModule of type SFXSimpleUseModule
}
