﻿class SFXSFHandler_PCPersonalization extends SFXSFHandler_Personalization
    config(UI)
    transient;

var bool bRotationEnabled;

event Update(float fDeltaT)
{
    SetMouseShown(true);
    Update(fDeltaT);
}

function HandleInputEvent(BioGuiEvents Event, optional float fValue = 1)
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    switch (Event)
    {
        case 47:
            bRotationEnabled = true;
            stParam.Type = 3;
            stParam.bVar = true;
            lstParams.AddItem(stParam);
            oPanel.InvokeMethodArgs("DissableMouseEvents", lstParams);
            SetMouseShown(false);
            break;
        case 49:
            bRotationEnabled = false;
            stParam.Type = 3;
            stParam.bVar = false;
            lstParams.AddItem(stParam);
            oPanel.InvokeMethodArgs("DissableMouseEvents", lstParams);
            SetMouseShown(true);
            m_nRotating = 0;
            break;
        case 6:
            if (bRotationEnabled)
            {
                if (fValue < -0,0001)
                {
                    m_nRotating = 1;
                }
                else
                {
                    if (fValue > 0,0001)
                    {
                        m_nRotating = -1;
                    }
                    else
                    {
                        m_nRotating = 0;
                    }
                }
            }
            break;
        case 34:
            oPanel.InvokeMethod("ClosePersonalizationGUI");
            break;
    }
    HandleInputEvent(Event, fValue);
}

defaultproperties
{
    ScreenLayout=System.Byte[]
}
