﻿class SFXSelectionModule extends SFXModule
    hidecategories(Object)
    native
    editinlinenew;

var transient SeqVar_Bool CombatTargetSaveBool;

var transient SeqVar_Bool TargetSaveBool;

var LensFlare LensFlareTemplate;

var /* 00000008 */ SFXSelectionLensFlareComponent LensFlareComp;

var() /* 00000008 */ float m_fSelectionRadius;

var() /* 00000008 */ Vector m_TargetOffset;

// m_srGameName: StringRefProperty[44]
// m_srTargetTipText: StringRefProperty[44]
var() /* 00000008 */ bool m_bCombatTargetable;

var() /* 00000008 */ bool m_bTargetable;

native function Vector GetSelectionPoint();

function SetTargetable(bool bTargetable)
{
    m_bTargetable = bTargetable;
    if (TargetSaveBool != None)
    {
        TargetSaveBool.bValue = bTargetable ? 1 : 0;
    }
}

function SetCombatTargetable(bool bTargetable)
{
    m_bCombatTargetable = bTargetable;
    if (CombatTargetSaveBool != None)
    {
        CombatTargetSaveBool.bValue = bTargetable ? 1 : 0;
    }
}

function PostBeginPlay()
{
    local BioWorldInfo BWI;
    PostBeginPlay();
    BWI = BioWorldInfo(Owner.WorldInfo);
    if (BWI.SelectableActors.Find(Owner) == -1)
    {
        BWI.SelectableActors.AddItem(Owner);
    }
}

defaultproperties
{
    m_fSelectionRadius=50
    LensFlareTemplate=LensFlare'Hud_PointofInterest_Flare_02'
}
