﻿class SFXSeqAct_AwardEndGameAchievements extends SequenceAction
    hidecategories(Object);

function Activated()
{
    local BioPlayerController PC;
    local SFXEngine Engine;
    local SFXProfileSettings Profile;
    local BioGlobalVariableTable VarTable;
    local int NumGameCompletions;
    local String LastCompletedCareer;
    local String CurrentCareer;
    VarTable = BioWorldInfo(GetWorldInfo()).GetGlobalVariables();
    PC = BioWorldInfo(GetWorldInfo()).GetLocalPlayerController();
    if (PC != None)
    {
        Profile = PC.ProfileSettings;
        Engine = SFXEngine(PC.Player.Outer);
        if (Profile != None && Engine != None)
        {
            Profile.GetProfileSettingValue(76, LastCompletedCareer);
            CurrentCareer = Engine.CurrentCareerName;
            if (CurrentCareer != LastCompletedCareer)
            {
                Profile.SetProfileSettingValue(76, CurrentCareer);
                Profile.GetProfileSettingValueInt(68, NumGameCompletions);
                NumGameCompletions++;
                Profile.SetProfileSettingValueInt(68, NumGameCompletions);
                if (NumGameCompletions >= 2 || VarTable.GetBoolByName('Player_Played_ME1'))
                {
                    PC.UnlockAchievement(28);
                }
            }
            if (Profile.GetDifficultyConfigOption() == 4 && !VarTable.GetBoolByName('ChangedDifficulty'))
            {
                PC.UnlockAchievement(26);
            }
        }
    }
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    bManualHandleOutputs=true
    ObjName="Award End Game Achievements"
}
