﻿class SFXSeqAct_ShowPersonalizationUI extends BioSequenceLatentAction
    hidecategories(Object)
    config(UI)
    native;

var bool m_bComplete;

var GFxMovieInfo m_oCreationReferenced;

var config String m_sCreationResourceConsole;

var config String m_sCreationResource;

function Activated()
{
    local MassEffectGuiManager oGuiManager;
    local BioSFPanel oPersonalizationPanel;
    m_bComplete = false;
    oGuiManager = MassEffectGuiManager(BioWorldInfo(GetWorldInfo()).GetLocalPlayerController().GetScaleFormManager());
    oGuiManager.ShowPersonalizationGUI();
    oPersonalizationPanel = oGuiManager.GetPanelByTag('Personalization');
    SFXSFHandler_Personalization(oPersonalizationPanel.GetDefaultHandler()).SetExternalCallback_OnComplete(OnComplete);
}

function bool UpdateOp(float fDeltaT)
{
    return m_bComplete;
}

function OnComplete()
{
    m_bComplete = true;
}

function Deactivated()
{
    local MassEffectGuiManager oGuiManager;
    oGuiManager = MassEffectGuiManager(BioWorldInfo(GetWorldInfo()).GetLocalPlayerController().GetScaleFormManager());
    oGuiManager.HidePersonalizationGUI();
}

defaultproperties
{
    m_sCreationResource="GUI_SF_Personalization.Personalization"
    bHasTargets=false
    bCallHandler=false
    VariableLinks=None
}
