﻿class SFXSeqAct_UpdateTrainingVideoCount extends SequenceAction
    hidecategories(Object);

var() int VideoWatched;

function Activated()
{
    local BioPlayerController PC;
    local SFXProfileSettings ProfileSettings;
    local int Setting;
    local int WatchedVideoAlready;
    Setting = -1;
    WatchedVideoAlready = 0;
    PC = BioWorldInfo(GetWorldInfo()).GetLocalPlayerController();
    if (PC != None)
    {
        ProfileSettings = PC.ProfileSettings;
        switch (VideoWatched)
        {
            case 1:
                Setting = 71;
                break;
            case 2:
                Setting = 72;
                break;
            case 3:
                Setting = 73;
                break;
        }
        if (Setting > 0)
        {
            ProfileSettings.GetProfileSettingValueId(Setting, WatchedVideoAlready);
            if (WatchedVideoAlready == 1)
            {
                ProfileSettings.SetProfileSettingValueId(Setting, 0);
                PC.UpdateAchievementProgression(0);
            }
        }
    }
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    bManualHandleOutputs=true
    ObjName="Update Training Video Count"
}
