﻿class SFXSeqCond_GetDifficulty extends SequenceCondition
    hidecategories(Object);

var() Actor Player;

function Activated()
{
    local PlayerController PC;
    local SFXPRI PRI;
    if (Pawn(Player) != None)
    {
        PC = PlayerController(Pawn(Player).Controller);
    }
    else
    {
        PC = PlayerController(Player);
    }
    if (PC != None)
    {
        PRI = SFXPRI(PC.PlayerReplicationInfo);
        if (PRI != None)
        {
            switch (PRI.DifficultyOption)
            {
                case 0:
                    OutputLinks[0].bHasImpulse = true;
                    return;
                case 1:
                    OutputLinks[1].bHasImpulse = true;
                    return;
                case 2:
                    OutputLinks[2].bHasImpulse = true;
                    return;
                case 3:
                    OutputLinks[3].bHasImpulse = true;
                    return;
                case 4:
                    OutputLinks[4].bHasImpulse = true;
                    return;
            }
        }
    }
    OutputLinks[5].bHasImpulse = true;
}

defaultproperties
{
    OutputLinks=None
}
