﻿class SFXShield_GethEnergy_Player extends SFXShield_Energy_Player
    hidecategories(Navigation)
    config(Weapon);

simulated function ScaleShields()
{
    MaxShields.StaticBonus = 1;
    if (Pawn(Owner).InPlayerParty())
    {
        MaxShields.StaticBonus += SFXGame(Pawn(Owner).WorldInfo.Game).BonusList.RchShieldUpgradeCache - 1;
        MaxShields.StaticBonus += SFXGame(Pawn(Owner).WorldInfo.Game).BonusList.RchQuarianShieldCache - 1;
        MaxShields.StaticBonus += SFXGame(Pawn(Owner).WorldInfo.Game).BonusList.RchLegionUpgradeCache - 1;
    }
    if (SFXPRI(Pawn(Owner).PlayerReplicationInfo) != None)
    {
        ShieldRegenDelay.StaticBonus = SFXPRI(Pawn(Owner).PlayerReplicationInfo).CurrentShieldModifier;
    }
    Class'SFXGame'.ReCalculate(ShieldRegenDelay);
    Class'SFXGame'.ReCalculate(MaxShields);
}

defaultproperties
{
    ShieldDisplayName=System.Byte[]
    PS_Impact=ParticleSystem'Generic_Imp_GethShields'
    PS_Recharged=ParticleSystem'Shield_Booster_Geth'
    PS_Breach=ParticleSystem'Shield__Break_Geth'
}
