﻿class SFXSkeletalMeshActor extends SkeletalMeshActor
    hidecategories(Navigation)
    native
    placeable;

struct native SMAVectorParameter
{
    var() Name ParameterName;

    var() LinearColor Parameter;

    var() Name Group;

}

struct native SMAScalarParameter
{
    var() Name ParameterName;

    var() float Parameter;

    var() Name Group;

}

struct native SMATextureParameter
{
    var() Name ParameterName;

    var() Texture Parameter;

    var() Name Group;

}

var /* 00000008 */ transient SkeletalMeshComponent EditorHair;

var /* 00000008 */ transient SkeletalMeshComponent EditorHead;

var /* 00000008 */ transient SkeletalMeshComponent EditorBody;

var bool bHasWrinkles;

var(SkeletalMeshActor) bool UpdateSkelWhenNotRendered;

var(SkeletalMeshActor) BioMorphFace MorphHead;

var /* 00000008 */ SkeletalMeshComponent HairMesh;

var(SkeletalMeshActor) /* 00000008 */ SkeletalMeshComponent HeadMesh;

var(SkeletalMeshActor) array<SMATextureParameter> TextureParameters;

var(SkeletalMeshActor) array<SMAScalarParameter> ScalarParameters;

var(SkeletalMeshActor) array<SMAVectorParameter> VectorParameters;

defaultproperties
{
    HeadMesh=SkeletalMeshComponent'HeadMesh0'
    HairMesh=SkeletalMeshComponent'HairMesh0'
    SkeletalMeshComponent=None
    LightEnvironment=None
    FacialAudioComp=None
    Components=None
    // child object FaceAudioComponent of type AudioComponent
    // child object BioLightEnv0 of type BioDynamicLightEnvironmentComponent
    // child object MyLightEnvironment of type DynamicLightEnvironmentComponent
    // child object HairMesh0 of type SkeletalMeshComponent
    // child object HeadMesh0 of type SkeletalMeshComponent
    // child object SkeletalMeshComponent0 of type SkeletalMeshComponent
}
