﻿class SFXVehicleSimHover extends SVehicleSimBase
    native;

var float HardLimitAirSpeedScale;

var float StoppedBrakeTorque;

var Vector OldVelocity;

var float CurrentStabilizationMultiplier;

var() float StabilizationForceMultiplier;

var float AccumulatedTime;

var Vector RandTorque;

var Vector RandForce;

var float PitchViewCorrelation;

var float TargetPitch;

var float TargetHeading;

var float StrafeTurnDamping;

var bool bUnPoweredDriving;

var bool bCanClimbSlopes;

var bool bRepulsorCollisionEnabled;

var bool bDisableWheelsWhenOff;

var() bool bStabilizeStops;

var bool bHeadingInitialized;

var bool bStrafeAffectsTurnDamping;

var bool bRecentlyHit;

var() bool bShouldCutThrustMaxOnImpact;

var() bool bFullThrustOnDirectionChange;

var() bool bAllowZThrust;

var() float RandForceInterval;

var() float MaxRandForce;

var() float StopThreshold;

var() float RollDamping;

var() float RollTorqueMax;

var() float RollTorqueStrafeFactor;

var() float RollTorqueTurnFactor;

var() float PitchDamping;

var() float PitchTorqueMax;

var() float PitchTorqueFactor;

var() float MaxYawRate;

var() float TurnDamping;

var() float TurnTorqueMax;

var() float TurnTorqueFactor;

var() float UpDamping;

var() float MaxRiseForce;

var() float DirectionChangeForce;

var() float LatDamping;

var() float MaxStrafeForce;

var() float LongDamping;

var() float MaxReverseForce;

var() float MaxThrustForce;

defaultproperties
{
    bRepulsorCollisionEnabled=true
    StabilizationForceMultiplier=1
    CurrentStabilizationMultiplier=1
    StoppedBrakeTorque=5
}
