﻿class BioAnimNodeBlendStateActionBehavior extends BioAnimNodeBlendStateBehavior
    hidecategories(Object)
    native
    editinlinenew;

enum EBioAnimNodeBlendStateActionBehavior
{
    BSAct_None,
    BSAct_PawnState,
    BSAct_PawnGesturesState,
    BSAct_ActiveState,
    BSAct_Posture,
    BSAct_ArtPlaceable,
    BSAct_IdleState,
};

enum EBioPawnAnimActionStates
{
    PAAS_Posture,
    PAAS_Dying,
    PAAS_Death,
    PAAS_Matinee,
    PAAS_Recover,
    PAAS_Gestures,
};

enum EBioPawnAnimActiveStates
{
    PAActiveS_Active,
    PAActiveS_ActiveToInactive,
    PAActiveS_InactiveToActive,
    PAActiveS_Inactive,
};

enum EBioArtPlaceableActionStates
{
    APAS_Default,
    APAS_Matinee,
};

var bool m_bPlayedRecoverAnim;

var(Action) EBioAnimNodeBlendStateActionBehavior ActionBehavior;

defaultproperties
{
    m_aNodeDefinitions=System.Byte[]
}
