﻿class BioBaseAppearance extends BioBaseComponent
    abstract
    native;

enum EBioBaseAppearanceReportMethod
{
    BIO_BASE_APPEARANCE_REPORT_METHOD_NONE,
    BIO_BASE_APPEARANCE_REPORT_METHOD_LOG,
    BIO_BASE_APPEARANCE_REPORT_METHOD_DIALOG,
};

var(Visuals) const /* 00000008 */ BioDeathVFXControl m_pDeathVFXControl;

var(Visuals) const BioDeathVFX m_pDeathVFX;

var(Visuals) float m_fVFXScale;

var(Physics) Name m_nmPhysicsImpactBone;

var(Preview) transient EBioBaseAppearanceReportMethod m_eReportMethod;

struct native MorphFeatureModelType
{
    var Name sFeatureName;

    var /* 00000008 */ SkeletalMeshComponent MinModel;

    var /* 00000008 */ SkeletalMeshComponent MaxModel;

}

struct native MorphFeatureType
{
    var() Name sFeatureName;

}

native function SkeletalMesh GetModelByName(String S);

defaultproperties
{
    m_fVFXScale=1
}
