﻿class BioPathNodeVolume extends Volume
    hidecategories(Navigation,Display,Debug,Actor,Attachment,Collision,Volume)
    native
    placeable;

var() EBioPathNodeGenerators ePathNodeGenerator;

var() EBioPathNodeAlignment eAlignment;

var(AirNodes) float fLevelHeight;

var(AirNodes) int nLevels;

var() float fMaxSlope;

var() float fNodeTargetRadius;

var() float fMargin;

var() float fMaxNodeSeparation;

var(AirNodes) bool bDoNotGenerateGroundNodes;

var() bool bDeleteNodesOnPopulate;

enum EBioPathNodeAlignment
{
    ALIGN_NONE,
    ALIGN_CENTER,
    ALIGN_JUSTIFY,
};

enum EBioPathNodeGenerators
{
    PATHNODE_SQUARE,
};

defaultproperties
{
    bDeleteNodesOnPopulate=true
    fMaxNodeSeparation=800
    fMargin=50
    fNodeTargetRadius=100
    fMaxSlope=40
    fLevelHeight=800
    eAlignment=ALIGN_JUSTIFY
    bColored=true
    BrushComponent=None
    Components=None
    // child object BrushComponent0 of type BrushComponent
}
