﻿class BioSeqAct_SetBrowserWheelStateOverrides extends SequenceAction
    hidecategories(Object);

var() array<SubPageState> PageStates;

event Activated()
{
    local BioWorldInfo oWorldInfo;
    local SubPageState oStateOverride;
    local int nIndex;
    oWorldInfo = BioWorldInfo(GetWorldInfo());
    if (oWorldInfo != None)
    {
        oWorldInfo.ClearBrowserWheelStateOverride();
        nIndex = 0;
        while (nIndex < PageStates.Length)
        {
            oStateOverride = PageStates[nIndex];
            oWorldInfo.AddBrowserWheelStateOverride(oStateOverride);
            nIndex++;
        }
    }
}

defaultproperties
{
    bCallHandler=false
    ObjName="Browser Wheel States - Set Overrides"
}
