﻿class BioSeqAct_SetStreamingState extends SequenceAction
    hidecategories(Object)
    native;

var() bool NewValue;

var() Name StateName;

native function RetouchTriggers();

function Activated()
{
    local BioWorldInfo bioWorld;
    local int I;
    local WorldStreamingState NewState;
    local bool bFound;
    bioWorld = BioWorldInfo(GetWorldInfo());
    bFound = false;
    I = 0;
    while (I < bioWorld.m_WorldStreamingStates.Length)
    {
        if (bioWorld.m_WorldStreamingStates[I].Name == StateName)
        {
            bioWorld.m_WorldStreamingStates[I].Enabled = NewValue;
            bFound = true;
        }
        I++;
    }
    if (!bFound)
    {
        NewState.Name = StateName;
        NewState.Enabled = NewValue;
        bioWorld.m_WorldStreamingStates[bioWorld.m_WorldStreamingStates.Length] = NewState;
    }
    RetouchTriggers();
}

defaultproperties
{
    bCallHandler=false
    VariableLinks=None
}
