﻿class BioSeqCond_GetBoolGroup extends SequenceCondition
    hidecategories(Object);

var() int nBoolID;

var() int nBoolGroup;

event Activated()
{
    local int nMask;
    OutputLinks[0].bHasImpulse = false;
    OutputLinks[1].bHasImpulse = true;
    if (nBoolID < 0 || nBoolID > 31)
    {
        return;
    }
    nMask = 1 << nBoolID;
    if (nBoolGroup & nMask != 0)
    {
        OutputLinks[0].bHasImpulse = true;
        OutputLinks[1].bHasImpulse = false;
    }
    else
    {
        OutputLinks[0].bHasImpulse = false;
        OutputLinks[1].bHasImpulse = true;
    }
}

defaultproperties
{
    OutputLinks=None
}
