﻿class SFXGameEffect_DamageOverTime extends SFXGameEffect
    hidecategories(Object);

function OnUpdate(float DeltaSeconds)
{
    local SFXModule_Damage DmgModule;
    local float DamageAmount;
    local Vector HitLocation;
    local Vector Momentum;
    OnUpdate(DeltaSeconds);
    DmgModule = Owner.GetModule(Class'SFXModule_Damage');
    if (DmgModule != None)
    {
        DamageAmount = EffectValue * DeltaSeconds;
        BioPawn(Owner).TakeDamage(DamageAmount, Instigator, HitLocation, Momentum, GetDamageType());
    }
}

function class<SFXDamageType> GetDamageType()
{
    return Class'SFXDamageType_Default';
}

defaultproperties
{
    bStacking=true
}
