﻿class SFXGameEffect_DelayedCustomAction extends SFXGameEffect
    hidecategories(Object);

var int MaxRagdollPhysicsLevel;

var bool bRagdollOnFail;

var EAICustomAction CustomAction;

function OnRemoved()
{
    local BioPawn oPawn;
    OnRemoved();
    oPawn = BioPawn(Owner);
    if (oPawn == None)
    {
        return;
    }
    if (CustomAction != 0)
    {
        if (oPawn.PlayAnimatedReaction(CustomAction, Instigator) == false && bRagdollOnFail)
        {
            if (Class'BioPowerScriptDesign'.GetPhysicsLevel(oPawn) <= MaxRagdollPhysicsLevel)
            {
                oPawn.AddRagdollImpulse(vect(0,0,0), Instigator, vect(0,0,0), true);
            }
        }
    }
}

defaultproperties
{
    MaxRagdollPhysicsLevel=1
}
