﻿class SFXGameInterpTrackWwiseMicLock extends SFXGameInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

struct native BioMicLockData
{
    var() Name m_nmFindActor;

    var() EActorTrackFindActorMode m_eFindActorMode;

    var() bool m_bLock;

}

var() bool m_bUnlockAtEnd;

var() array<BioMicLockData> m_aMicLockKeys;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "Mic Locking";
}

static event String KeyDataArrayName()
{
    return "m_aMicLockKeys";
}

static event String KeyDataDisplayName()
{
    return "Mic Locking Data";
}

defaultproperties
{
    m_bUnlockAtEnd=true
    TrackInstClass=None
    TrackTitle="Wwise Mic Lock"
    bOnePerGroup=true
}
