﻿class SFXGameModeMovie extends SFXGameModeBase
    within BioPlayerController
    config(Input);

var() bool bLoadingMovie;

function ActivateSpecifier(Name ModeSpecifier)
{
    if (ModeSpecifier == 'LoadingMovie')
    {
        bLoadingMovie = true;
    }
    ActivateSpecifier(ModeSpecifier);
}

function Deactivated()
{
    Deactivated();
    bLoadingMovie = false;
}

exec function SkipMovie()
{
    if (bLoadingMovie == false)
    {
        Class'SFXEngine'.SkipMovie();
    }
}

defaultproperties
{
    Bindings=System.Byte[]
    bShowSubtitle=true
    bMergeNotifications=true
    bQueueAndSuppressNotifications=true
    bEnforce16x9Subtitiles=true
    Priority=ModePriority_Menus
}
