﻿class SFXGameModeVehicle extends SFXGameModeBase
    within BioPlayerController
    config(Input);

var() /* 00000008 */ SFXCameraMode_Vehicle VehicleCam;

function Initialize()
{
    VehicleCam.Input.m_bUseExplorationSensitivity = true;
    Initialize();
}

function SFXCameraMode GetCameraMode(SFXCameraMode OldCameraMode, out int PreserveTarget, out float TransitionTime, out SFXCameraMode_Interpolate Transition)
{
    TransitionTime = 0;
    PreserveTarget = 0;
    return VehicleCam;
}

exec function ShowMenu()
{
    Outer.bBoost = 0;
    Outer.bJump = 0;
    ShowMenu();
}

defaultproperties
{
    VehicleCam=SFXCameraMode_Vehicle'VehicleCam0'
    Bindings=System.Byte[]
    bShowHUD=true
    bShowSelection=true
    bShowRadar=true
    bAllowMovement=true
    bAllowCamera=true
    bAllowCameraMods=true
    bAllowPauseMenu=true
    bShowSubtitle=true
    bShowReticles=true
    // child object VehicleCam0 of type SFXCameraMode_Vehicle
}
