﻿class SFXInterpTrackBlackScreen extends SFXGameInterpTrackCustom
    hidecategories(Object)
    config(Game)
    native
    collapsecategories;

struct native SFXBlackScreenTrackData
{
    var() BlackScreenActionSet BlackScreenState;

    var int PlaceHolder;

}

var transient BioSeqAct_BlackScreen m_BlackScreenSeq;

var() array<SFXBlackScreenTrackData> m_aBlackScreenKeyData;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "BlackScreen";
}

static event String KeyDataArrayName()
{
    return "m_aBlackScreenKeyData";
}

static event String KeyDataDisplayName()
{
    return "Black Screen Data";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Black Screen"
}
