﻿class SFXInterpTrackPlayFaceOnlyVO extends SFXGameActorInterpTrack
    hidecategories(Object)
    native
    collapsecategories;

struct native BioFOVOTrackData
{
    var() BioConversation pConversation;

    var() int nLineStrRef;

    var() bool bForceHideSubtitles;

    var() float fPadLineLength;

// srActorNameOverride: StringRefProperty[44]
    var() bool bPlaySoundOnly;

    var() bool bDisableDelayUntilPreload;

    var() bool bAllowInConversation;

}

var() array<BioFOVOTrackData> m_aFOVOKeys;

static event bool AllowKeyNaming()
{
    return false;
}

static event String NewKeyDefaultName()
{
    return "PlayFaceOnlyVO";
}

static event String KeyDataArrayName()
{
    return "m_aFOVOKeys";
}

static event String KeyDataDisplayName()
{
    return "Play FOVO Data";
}

static event String GetNewTrackSubMenuName()
{
    return "SFX Cinematics";
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Play FOVO"
}
