﻿class SFXInterpTrackToggleBase extends SFXGameInterpTrackCustom
    hidecategories(Object)
    abstract
    native
    collapsecategories;

struct native SFXToggleTrackData
{
    var() bool m_bToggle;

    var() bool m_bEnable;

}

var transient Actor m_TargetActor;

var() array<BioSeqVar_ObjectFindByTag> m_aTarget;

var BioSeqVar_ObjectFindByTag m_Target;

var() array<SFXToggleTrackData> m_aToggleKeyData;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "Toggle";
}

static event String KeyDataArrayName()
{
    return "m_aToggleKeyData";
}

static event String KeyDataDisplayName()
{
    return "Toggle Data";
}

native function SetupToggleSequenceOp(SequenceOp Seq, bool bToggle, bool bEnable);

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Toggle Track"
}
