﻿class BioAnimNodeBlend_TurnInPlace extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

var() float AbortTransitionBlendTime;

var() float AbortThresholdPercentage;

var float fRotationResetRate;

var() float TransitionThresholdAngle;

var const int CurrentTransitionIndex;

var() float TransitionBlendOutTime;

var() float TransitionBlendInTime;

var() array<RotTransitionInfo> RotTransitions;

var const transient BioPawn BioPawnOwner;

var bool bTransitioningToIdle;

var const bool bPlayingTurnTransition;

var() bool bDelayBlendOutToPlayAnim;

var() const transient int YawOffset;

var const transient int LastRootBoneYaw;

var const transient float PawnRotationRate;

var const transient int LastPawnYaw;

var const transient bool bRootRotInitialized;

var const transient bool bInitialized;

struct native RotTransitionInfo
{
    var() float RotationOffset;

    var() int ChildIndex;

}

defaultproperties
{
    RotTransitions=System.Byte[]
    TransitionBlendInTime=0,15
    TransitionBlendOutTime=0,4
    TransitionThresholdAngle=4096
    AbortThresholdPercentage=0,14
    AbortTransitionBlendTime=0,1
    Children=None
}
