﻿class BioAnimNodeCover2Transition extends AnimNodeBlendList
    hidecategories(Object,Object,Object)
    native;

enum EBioAnimNodeCover2Transition
{
    eBioAnimNodeCover2Transition_Intro,
    eBioAnimNodeCover2Transition_Body,
    eBioAnimNodeCover2Transition_Outro,
};

var transient float SliderPosition;

var transient BioAnimCheckBlendOut BlendOut;

var transient bool bBlocking;

var transient bool bSkipIntro;

var transient bool bCanceledBlendOut;

var transient bool bRequestedBlendOut;

var transient ERootMotionRotationMode RootRotationMode;

var transient ERootMotionMode RootMotionMode;

var transient EBioAnimNodeCover2Transition CurrentState;

var() const ERootMotionRotationMode OutroRootRotationMode;

var() const ERootMotionMode OutroRootMotionMode;

var() const ERootMotionRotationMode IntroRootRotationMode;

var() const ERootMotionMode IntroRootMotionMode;

var() const float Outro2IntroBlendDuration;

var() const float Intro2OutroBlendDuration;

var() const float Body2OutroBlendDuration;

var() const float Intro2BodyBlendDuration;

var() const bool bStopInputOnBlockingTransitions;

var() const bool OutroIsBlocking;

var() const bool IntroIsBlocking;

event IgnorePlayerInput(BioPawn pPawn, bool bIgnore)
{
    local BioPlayerController pPlayerController;
    pPlayerController = BioPlayerController(pPawn.Controller);
    if (pPlayerController != None && bStopInputOnBlockingTransitions)
    {
        pPlayerController.IgnoreMoveInput(bIgnore);
    }
}

defaultproperties
{
    IntroIsBlocking=true
    OutroIsBlocking=true
    bStopInputOnBlockingTransitions=true
    Intro2BodyBlendDuration=0,2
    Body2OutroBlendDuration=0,2
    Intro2OutroBlendDuration=0,2
    Outro2IntroBlendDuration=0,2
    IntroRootMotionMode=RMM_Ignore
    OutroRootMotionMode=RMM_Ignore
    CurrentState=None
    RootMotionMode=RMM_Ignore
    Children=None
}
