﻿class BioAnimNodeLocomotionMoving extends AnimNodeBlendBase
    hidecategories(Object,Object)
    native;

enum EBioAnimNodeLocomotionMoving
{
    eBioAnimNodeLocomotionMoving_Fwd,
    eBioAnimNodeLocomotionMoving_LeanLeft,
    eBioAnimNodeLocomotionMoving_LeanRight,
    eBioAnimNodeLocomotionMoving_Ascend,
    eBioAnimNodeLocomotionMoving_Descend,
};

var transient float SliderIncline;

var transient float SliderLean;

var transient float Incline;

var transient float Lean;

var transient BioAnimMovementSync MovementSync;

var() const float MaxSpeed;

var() const float MidSpeed;

var() const float MinSpeed;

var() const float AngleDescend;

var() const float AngleAscend;

var() const float AngleLeanRight;

var() const float AngleLeanLeft;

var() const float BlendSpeedLeanOut;

var() const float BlendSpeedLeanIn;

var() const float BlendSpeed;

var() const Name SynchGroupName;

defaultproperties
{
    BlendSpeed=10
    BlendSpeedLeanIn=10
    BlendSpeedLeanOut=50
    AngleLeanLeft=45
    AngleLeanRight=45
    AngleAscend=30
    AngleDescend=30
    Children=None
}
