﻿class BioCameraZoom extends Object
    config(Game)
    native;

struct native BioZoomFocusConfig
{
    var float m_fMaxFocusDistance;

    var float m_fNearClipFactor;

    var float m_fNearClipMax;

    var float m_fMinRate;

    var float m_fDuration;

    var float m_fInnerRadiusFactor;

    var float m_fFalloffExponent;

    var float m_fBlurKernelSize;

    var float m_fMaxNearBlurAmount;

    var float m_fMaxFarBlurAmount;

    var Color m_clrModulateBlur;

}

var float m_fFocusDistanceTarget;

var float m_fFocusDistance;

var float m_fCamStickScalarMin;

var float m_fCamStickScalarRate;

var float m_fCamStickScalarTarget;

var float m_fFOVMax;

var float m_fFOVMin;

var float m_fFOVRate;

var float m_fFOVTarget;

var int m_nCurrentMagnificationLevel;

var const config BioZoomMagnificationConfig m_magnificationConfig;

var const config BioZoomFocusConfig m_focusConfig;

struct native BioZoomMagnificationConfig
{
    var float m_fCamSpeedFactor;

    var float m_fFOVFactor;

    var int m_nLevelCount;

    var float m_fTransitionDuration;

}

native final function Focus(float fDistance, BioWorldInfo pWorldInfo);

native final function int GetCurrentMagnificationLevel();

native final function Tick(float TimeDelta, float FOV, float CamStickScalar);

native function ModifyPostProcessSettings(out PostProcessSettings PPSettings);

defaultproperties
{
}
