﻿class BioGameEffectAddForce extends BioGameEffect
    hidecategories(Object)
    native
    editinlinenew;

var float m_fTimeElapsed;

var Actor m_oInstigator;

var float m_fMinVelocity;

var Vector m_vDeceleration;

var bool m_bDestinationReached;

var bool m_bApplied;

var bool m_bApplyToAllBones;

var bool m_bDecelerate;

var Vector m_vDestination;

var Vector m_vPosition;

var Name m_nmBoneName;

var Vector m_vForce;

static event Create(BioGameProperty oProperty, Vector vForce, Name nmBoneName, Vector vPosition, Vector vDestination, bool bDecelerateAtDestination, Vector vDeceleration, float fMinVelocity, Actor oInstigator, bool bApplyToAllBones)
{
    local BioGameEffectAddForce oEffect;
    oEffect = new(oProperty,Class'BioGameEffectAddForce');
    oProperty.AddGameEffectToProperty(oEffect);
    oEffect.m_vForce = vForce;
    oEffect.m_nmBoneName = nmBoneName;
    oEffect.m_vPosition = vPosition;
    oEffect.m_vDestination = vDestination;
    oEffect.m_bDecelerate = bDecelerateAtDestination;
    oEffect.m_vDeceleration = vDeceleration;
    oEffect.m_fMinVelocity = fMinVelocity;
    oEffect.m_oInstigator = oInstigator;
    oEffect.m_bApplyToAllBones = bApplyToAllBones;
}

native function Object Apply(Object oTarget);

native function Unapply(Object oTarget);

native function Tick(Object oTarget, float fDeltaTime);

native final private function Decelerate(Actor oActor);

native final private function Name GetClosestBone(Actor oTarget);

defaultproperties
{
}
