﻿class BioGameEffectAttributeInt extends BioGameEffectAttributeNumeric
    hidecategories(Object)
    native
    editinlinenew;

var bool m_bSetToZeroOnUnapply;

var() int m_value;

native function SetBase(BioAttributes attribs);

native function AddModifier(BioAttributes attribs);

native function RemoveModifier(BioAttributes attribs);

native function Unapply(Object oTarget);

static event Create(BioGameProperty gp, int nValue, Name nmAttributeName, EBioGameEffectAttributeAspect eAspect, EBioAttrModType eModifier, EBioGameEffectAttributeType eType, int nIndex, bool bSetToZeroOnUnapply)
{
    local BioGameEffectAttributeInt newEffect;
    newEffect = new(gp,Class'BioGameEffectAttributeInt');
    newEffect.m_value = nValue;
    newEffect.m_attributeName = nmAttributeName;
    newEffect.m_aspect = eAspect;
    newEffect.m_modifier = eModifier;
    newEffect.m_type = eType;
    newEffect.m_nIndex = nIndex;
    newEffect.m_bSetToZeroOnUnapply = bSetToZeroOnUnapply;
    gp.AddGameEffectToProperty(newEffect);
}

defaultproperties
{
}
