﻿class BioGameEffectSingularity extends BioGameEffect
    hidecategories(Object)
    native
    editinlinenew;

var float m_fDeltaTime;

var bool m_bApplied;

var float m_fBubbleForce;

var float m_fInnerBubbleRange;

var float m_fVelocityThresholdOuterBubble;

var float m_fOuterBubbleRange;

var float m_fForceInterval;

var Vector m_vPosition;

var Name m_nmBoneName;

var float m_fForce;

var Vector m_vSingularityLocation;

static event Create(BioGameProperty oProperty, Vector vSingularityLocation, float fForce, Name nmBoneName, Vector vPosition, float fForceInterval, float fOuterBubbleRange, float fVelocityThresholdOuterBubble, float fInnerBubbleRange, float fBubbleForce)
{
    local BioGameEffectSingularity oEffect;
    oEffect = new(oProperty,Class'BioGameEffectSingularity');
    oProperty.AddGameEffectToProperty(oEffect);
    oEffect.m_vSingularityLocation = vSingularityLocation;
    oEffect.m_fForce = fForce;
    oEffect.m_nmBoneName = nmBoneName;
    oEffect.m_vPosition = vPosition;
    oEffect.m_fForceInterval = fForceInterval;
    oEffect.m_fOuterBubbleRange = fOuterBubbleRange;
    oEffect.m_fVelocityThresholdOuterBubble = fVelocityThresholdOuterBubble;
    oEffect.m_fInnerBubbleRange = fInnerBubbleRange;
    oEffect.m_fBubbleForce = fBubbleForce;
}

native function Object Apply(Object oTarget);

native function Unapply(Object oTarget);

native function Tick(Object oTarget, float fDeltaTime);

native function MoveActor(Actor oActor);

defaultproperties
{
}
