﻿class BioGamePropertyContainer extends Object
    native;

var /* 00000008 */ BioGamePropertyEventDispatcher m_oEventDispatcher;

var array<BioGameProperty> m_aGameProperties;

native function Tick(float fDeltaTime);

event ScaleToLevel(int nLevel)
{
    local int nIndex;
    assert(nLevel >= 0);
    nIndex = 0;
    while (nIndex < m_aGameProperties.Length)
    {
        m_aGameProperties[nIndex].ScaleToLevel(nLevel);
        ++nIndex;
    }
}

native final function OnGPEvent(EBioGamePropertyEvent eEvent, Object pTarget);

event String ToString(optional String sIndent)
{
    local String sOutput;
    local int I;
    local String sGameProperty;
    I = 0;
    while (I != m_aGameProperties.Length)
    {
        sGameProperty = m_aGameProperties[I].ToLine();
        if (sGameProperty != "")
        {
            sOutput $= sIndent $ "Game Property[" $ I $ "]," $ sGameProperty $ "],";
        }
        ++I;
    }
    return sOutput;
}

defaultproperties
{
    m_oEventDispatcher=BioGamePropertyEventDispatcher'tempdisp'
    // child object tempdisp of type BioGamePropertyEventDispatcher
}
