﻿class BioGamePropertyHolderTraits extends Object
    abstract
    native;

final static event BioGamePropertyManager GetGPManager(Object oTarget)
{
    local SFXGamePropertiesModule oGameProperties;
    if (oTarget == None)
    {
        return None;
    }
    if (None != Actor(oTarget))
    {
        oGameProperties = Actor(oTarget).GetModule(Class'SFXGamePropertiesModule');
        if (oGameProperties != None)
        {
            return oGameProperties.m_oAppliedGameProperties;
        }
    }
    return None;
}

final static event BioGamePropertyContainer GetGPContainer(Object pObject)
{
    local SFXGamePropertiesModule oGameProperties;
    if (pObject == None)
    {
        return None;
    }
    if (None != Actor(pObject))
    {
        oGameProperties = Actor(pObject).GetModule(Class'SFXGamePropertiesModule');
        if (oGameProperties != None)
        {
            return oGameProperties.m_oGameProperties;
        }
    }
    return None;
}

defaultproperties
{
}
