﻿class BioGestureRulesData extends Object
    native;

struct native BioGestGesture extends BioGestPose
{
    var Name nmGesture;

    var bool bOneShotAnim;

    var Name nmGestureGroup;

}

struct native BioARPUBodyConfig
{
    var Name nmCurveName;

    var bool bUsesSingleKeyframe;

    var Name nmAnimSet;

    var Name nmAnimSeq;

    var float fStartBlendDuration;

    var float fEndBlendDuration;

}

var Name m_nmDefaultPoseGroup;

var array<Name> m_aPoseGroups;

var Name m_nmDefaultGestGroup;

var array<Name> m_aGestureGroups;

var native MultiMap_Mirror m_mapGestures;

var native MultiMap_Mirror m_mapTransitions;

var native Map_Mirror m_mapPoses;

var array<BioGestGesture> m_aGestTemp;

var array<BioGestTransition> m_aTransTemp;

var array<BioGestPose> m_aPosesTemp;

var native MultiMap_Mirror m_mapARPUCurves;

var array<BioARPUBodyConfig> m_aARPUItems;

struct native BioGestPose
{
    var Name nmPose;

    var Name nmAnimSet;

    var Name nmAnimSeq;

    var IntPoint tPosition;

    var Name nmGroup;

    var Name nmFemaleNodeName;

}

struct native BioGestTransition extends BioGestPose
{
    var Name nmDestPose;

    var bool bNoTransAnim;

    var float fTransBlendTime;

}

defaultproperties
{
    m_aGestureGroups(0)=Gesture
    m_aGestureGroups(1)=Twitches
    m_aGestureGroups(2)=Dynamic
    m_nmDefaultGestGroup=Gesture
    m_aPoseGroups(0)=Standing
    m_aPoseGroups(1)=Combat
    m_aPoseGroups(2)=Sitting
    m_nmDefaultPoseGroup=Standing
}
