﻿class BioParticleModuleLocationPrimitiveNearestSurface extends ParticleModuleLocationPrimitiveBase
    hidecategories(Object,Object,Object,Object)
    native
    editinlinenew
    collapsecategories;

enum ELocationNearestSurface
{
    eLocationNearestSurface_Stay,
    eLocationNearestSurface_StayAtRadius,
    eLocationNearestSurface_Kill,
};

enum EBioParticleCollisionComplete
{
    EBPCC_DoNothing,
    EBPCC_Kill,
    EBPCC_Freeze,
    EBPCC_FreezeTranslation,
    EBPCC_FreezeRotation,
    EBPCC_FreezeMovement,
};

var array<Vector> m_aSearchDirections;

var(BioLocation) /* 00000008 */ EBioParticleCollisionComplete eOnCollision;

var(BioLocation) /* 00000008 */ ELocationNearestSurface eIfNoCollision;

var(BioLocation) /* 00000008 */ float fRadius;

var(BioLocation) /* 00000008 */ bool bTestActors;

var(BioLocation) /* 00000008 */ bool bDirectionRelativeToEmitter;

var(BioLocation) /* 00000008 */ bool bMovingLocationOnly;

var(BioLocation) /* 00000008 */ bool bInitialLocationOnly;

defaultproperties
{
    bInitialLocationOnly=true
    bDirectionRelativeToEmitter=true
    fRadius=100
    Positive_X=false
    Positive_Y=false
    Positive_Z=false
    Negative_X=false
    Negative_Y=false
    Negative_Z=false
    SurfaceOnly=true
    m_Seed=None
    bUpdateModule=true
    // child object DistributionVelocityScale of type DistributionFloatConstant
    // child object DistributionSeed of type DistributionFloatParticleParameter
    // child object DistributionStartLocation of type DistributionVectorConstant
}
