﻿class BioPlayerControllerSaveObject extends BioBaseSaveObject;

var String m_sHeavyWeapon;

var int m_nHeavyWeaponSpareAmmo;

var int m_nHeavyWeaponMagAmmo;

var int m_aHotKeyPowers[8];

var Name m_aHotKeyPawns[8];

var int m_lstHotKeyEvents[12];

var int m_lstHotKeyPawns[12];

var Name m_nmLastPower;

var int m_nLastWeapon;

const SFX_SAVE_HOTKEY_SLOT_COUNT = 8;
function SaveObject(Object O)
{
    local BioPlayerController oController;
    local int I;
    oController = BioPlayerController(O);
    I = 0;
    while (I < 8)
    {
        m_aHotKeyPawns[I] = oController.m_aHotKeyDefines[I].nmPawn;
        m_aHotKeyPowers[I] = oController.m_aHotKeyDefines[I].nPowerID;
        ++I;
    }
    SaveObject(O);
}

function LoadObject(Object O)
{
    local BioPlayerController oController;
    local int I;
    local SFXHeavyWeapon ExistingWpn;
    local SFXHeavyWeapon Wpn;
    LoadObject(O);
    oController = BioPlayerController(O);
    I = 0;
    while (I < 8)
    {
        oController.m_aHotKeyDefines[I].nmPawn = m_aHotKeyPawns[I];
        oController.m_aHotKeyDefines[I].nPowerID = m_aHotKeyPowers[I];
        ++I;
    }
    foreach oController.Pawn.InvManager.InventoryActors(Class'SFXHeavyWeapon', Wpn)
    {
        ExistingWpn = Wpn;
    }
    if (ExistingWpn != None)
    {
        oController.Pawn.InvManager.RemoveFromInventory(ExistingWpn);
    }
}

defaultproperties
{
}
