﻿class BioSFHandler_Journal extends BioSFHandler
    config(UI)
    transient
    native;

struct native GuiQuestInfo
{
    var int nID;

    var int nAdded;

    var String sName;

    var bool bComplete;

    var bool bUpdated;

}

// srMarkAllCompleteMessageCancel: StringRefProperty[44]
// srMarkAllCompleteMessageConfirm: StringRefProperty[44]
// srMarkAllCompleteMessage: StringRefProperty[44]
var float m_fRScrollValue;

var bool m_bAnalogScroll;

// lstSortTitles: StringRefProperty[44]
// lstSortLabels: StringRefProperty[44]
var array<GuiQuestInfo> lstQuests;

function HandleInputEvent(BioGuiEvents Event, optional float fValue = 1)
{
    switch (Event)
    {
        case 5:
            if (Abs(fValue) > 0,25)
            {
                m_fRScrollValue = -fValue;
            }
            else
            {
                m_fRScrollValue = 0;
            }
            break;
        default:
            HandleInputEvent(Event, fValue);
    }
}

function Update(float fDeltaT)
{
    local ASParams stParam;
    local array<ASParams> lstParams;
    if (m_bAnalogScroll)
    {
        stParam.Type = 1;
        stParam.fVar = m_fRScrollValue;
        lstParams.AddItem(stParam);
        stParam.fVar = 0;
        lstParams.AddItem(stParam);
        oPanel.InvokeMethodArgs("scrollDetailsAnalog", lstParams);
    }
}

native function MarkAllQuestsViewed(bool bAPressed, int nContext);

defaultproperties
{
    lstSortLabels=System.Byte[]
    lstSortLabels=System.Byte[]
    lstSortLabels=System.Byte[]
    lstSortTitles=System.Byte[]
    lstSortTitles=System.Byte[]
    lstSortTitles=System.Byte[]
    m_bAnalogScroll=true
    srMarkAllCompleteMessage=System.Byte[]
    srMarkAllCompleteMessageConfirm=System.Byte[]
    srMarkAllCompleteMessageCancel=System.Byte[]
    nHandlerID=11
}
