﻿class BioSeqAct_AttachCrustEffect extends SequenceAction
    hidecategories(Object);

var Actor Target;

var float fLifeTime;

var() BioVFXTemplate oEffect;

function Activated()
{
    local BioVisualEffect Effect;
    local Actor TheActor;
    if (Controller(Target) != None)
    {
        TheActor = Controller(Target).Pawn;
    }
    else
    {
        TheActor = Target;
    }
    if (InputLinks[0].bHasImpulse == true)
    {
        if (TheActor != None)
        {
            Effect = Class'BioVisualEffect'.CreateCrustEffect(oEffect, TheActor, fLifeTime, false);
            if (Effect != None)
            {
                Effect.SetState(0, true);
            }
        }
    }
    else
    {
        if (InputLinks[1].bHasImpulse == true)
        {
            if (TheActor != None)
            {
                foreach TheActor.DynamicActors(Class'BioVisualEffect', Effect)
                {
                    if (Effect.pTemplate == oEffect && Effect.Base == TheActor)
                    {
                        Effect.bPauseOnDeath = false;
                        Effect.SetState(2, true);
                    }
                }
            }
        }
    }
}

defaultproperties
{
    bCallHandler=false
    InputLinks=None
}
