﻿class BioSeqAct_InteractProperty extends SequenceAction
    hidecategories(Object)
    abstract
    native;

enum EBioPropertyType
{
    BPT_INVALID,
    BPT_OBJECT_PROPERTY,
    BPT_BEHAVIOR_PROPERTY,
    BPT_BEHAVIOR_FUNCTION,
    BPT_OBJECT_FUNCTION,
    BPT_DAMAGE_FUNCTION,
    BPT_SELECTION_PROPERTY,
};

struct native BioPropertyInfo
{
    var() const Name PropertyName;

    var Name ActualPropertyName;

    var() bool bDisplayProperty;

    var bool bOldDisplayProperty;

    var EBioPropertyType ePropertyType;

}

struct native BioPropertyMap
{
    var Name sDisplayName;

    var Name sFuncPropName;

}

var() array<BioPropertyInfo> Properties;

var class<Object> cSelectionType;

var class<Object> cDamageType;

var class<Object> cBehaviorType;

var class<Object> cObjectType;

var array<BioPropertyMap> aSelectionProperties;

var array<BioPropertyMap> aDamageFunctions;

var array<BioPropertyMap> aBehaviorFunctions;

var array<BioPropertyMap> aBehaviorProperties;

var array<BioPropertyMap> aObjectFunctions;

var array<BioPropertyMap> aObjectProperties;

defaultproperties
{
    bCallHandler=false
    ObjClassVersion=2
}
