﻿class BioSeqAct_ResurrectHenchman extends SequenceAction
    hidecategories(Object);

var() float PctHealthRegained;

function Activated()
{
    local WorldInfo WorldInfo;
    local PlayerController PC;
    local BioBaseSquad Squad;
    local Actor Member;
    local int idx;
    WorldInfo = Class'Engine'.GetCurrentWorldInfo();
    if (WorldInfo != None)
    {
        foreach WorldInfo.LocalPlayerControllers(Class'PlayerController', PC)
        {
            if (PC != None && BioPawn(PC.Pawn) != None)
            {
                Squad = BioPawn(PC.Pawn).Squad;
                if (Squad != None)
                {
                    idx = 0;
                    while (idx < Squad.GetSquadSize())
                    {
                        Member = Squad.GetMember(idx);
                        if (Member != PC.Pawn && BioPawn(Member) != None)
                        {
                            BioPawn(Member).Resurrect(PctHealthRegained, true);
                        }
                        idx++;
                    }
                }
            }
        }
    }
}

defaultproperties
{
    PctHealthRegained=0,2
    ObjName="Resurrect Henchmen"
}
