﻿class BioSubtitles extends Object
    config(Game)
    native;

enum ESubtitlesRenderMode
{
    SUBTITLE_RENDER_NONE,
    SUBTITLE_RENDER_DEFAULT,
    SUBTITLE_RENDER_TOP,
    SUBTITLE_RENDER_BOTTOM,
    SUBTITLE_RENDER_ABOVE_WHEEL,
    SUBTITLE_RENDER_LOADSCREEN,
};

var float m_fTimeRemaining;

var ESubtitlesRenderMode m_CurrentRenderMode;

var config ESubtitlesRenderMode m_DefaultRenderMode;

var bool m_bAlert;

var Color m_FontColor;

var String m_sSubtitle;

native function DisplaySubtitle(String sSubtitle, float fDuration);

native function bool HasSubtitle();

native function ESubtitlesRenderMode GetRenderMode();

native function ESubtitlesRenderMode SetRenderMode(ESubtitlesRenderMode RenderMode, optional bool bForceDisplay);

native function ClearHistory();

native function SetSubtitle(String strSubtitle);

native function String GetSubtitle();

native function SetFontColor(Color oColor);

native function Color GetFontColor();

native function SetAlert(bool bAlert);

native function bool GetAlert();

native function PrivateUpdateSubtitles(float fDeltaT);

function UpdateSubtitles(float fDeltaT)
{
    PrivateUpdateSubtitles(fDeltaT);
}

defaultproperties
{
    m_FontColor=(B=255,G=255,R=255,A=255)
    m_DefaultRenderMode=SUBTITLE_RENDER_TOP
    m_CurrentRenderMode=SUBTITLE_RENDER_DEFAULT
}
