﻿class BioSunActor extends Actor
    hidecategories(Navigation)
    config(Game)
    native
    placeable;

var config float fFadeTime;

var transient bool bDying;

var transient float fDyingFadePercent;

var transient float fBrightnessCurveAccumulator;

var(animation) /* 00000008 */ RawDistributionFloat BrightnessCurve;

var transient float fScaleCurveAccumulator;

var(animation) /* 00000008 */ RawDistributionFloat ScaleCurve;

var transient float fIntensityCurveAccumulator;

var(animation) /* 00000008 */ RawDistributionFloat IntensityCurve;

var() /* 00000008 */ BioSunFlareStreakComponent StreakSprite5;

var() /* 00000008 */ BioSunFlareStreakComponent StreakSprite4;

var() /* 00000008 */ BioSunFlareStreakComponent StreakSprite3;

var() /* 00000008 */ BioSunFlareStreakComponent StreakSprite2;

var() /* 00000008 */ BioSunFlareStreakComponent StreakSprite1;

var() /* 00000008 */ BioSunFlareStreakComponent StreakSprite0;

var() /* 00000008 */ BioSunFlareComponent FlareSprite9;

var() /* 00000008 */ BioSunFlareComponent FlareSprite8;

var() /* 00000008 */ BioSunFlareComponent FlareSprite7;

var() /* 00000008 */ BioSunFlareComponent FlareSprite6;

var() /* 00000008 */ BioSunFlareComponent FlareSprite5;

var() /* 00000008 */ BioSunFlareComponent FlareSprite4;

var() /* 00000008 */ BioSunFlareComponent FlareSprite3;

var() /* 00000008 */ BioSunFlareComponent FlareSprite2;

var() /* 00000008 */ BioSunFlareComponent FlareSprite1;

var() /* 00000008 */ BioSunFlareComponent FlareSprite0;

var() /* 00000008 */ BioSunFlareComponent HaloSprite;

var() /* 00000008 */ BioSpriteTranslucentComponent SunSprite;

var(animation) bool bAnimateBrightness;

var(animation) bool bAnimateScale;

var(animation) bool bAnimateIntensity;

var() bool ViewDependentIntensity;

var() bool HideAllFlaresOverride;

var() bool UseBaseLightTint;

var() LinearColor SunTint;

var() float FocusDistance;

defaultproperties
{
    FocusDistance=200
    SunTint=(R=1,G=1,B=1,A=1)
    SunSprite=BioSpriteTranslucentComponent'SunSpriteComponentTranslucent'
    HaloSprite=BioSunFlareComponent'SunHaloSprite'
    FlareSprite0=BioSunFlareComponent'SunFlareSprite0'
    FlareSprite1=BioSunFlareComponent'SunFlareSprite1'
    FlareSprite2=BioSunFlareComponent'SunFlareSprite2'
    FlareSprite3=BioSunFlareComponent'SunFlareSprite3'
    FlareSprite4=BioSunFlareComponent'SunFlareSprite4'
    FlareSprite5=BioSunFlareComponent'SunFlareSprite5'
    FlareSprite6=BioSunFlareComponent'SunFlareSprite6'
    FlareSprite7=BioSunFlareComponent'SunFlareSprite7'
    FlareSprite8=BioSunFlareComponent'SunFlareSprite8'
    FlareSprite9=BioSunFlareComponent'SunFlareSprite9'
    StreakSprite0=BioSunFlareStreakComponent'SunStreakSprite0'
    StreakSprite1=BioSunFlareStreakComponent'SunStreakSprite1'
    StreakSprite2=BioSunFlareStreakComponent'SunStreakSprite2'
    StreakSprite3=BioSunFlareStreakComponent'SunStreakSprite3'
    StreakSprite4=BioSunFlareStreakComponent'SunStreakSprite4'
    StreakSprite5=BioSunFlareStreakComponent'SunStreakSprite5'
    fDyingFadePercent=1
    fFadeTime=2
    Components=None
    // child object SunSpriteComponentTranslucent of type BioSpriteTranslucentComponent
    // child object SunFlareSprite0 of type BioSunFlareComponent
    // child object SunFlareSprite1 of type BioSunFlareComponent
    // child object SunFlareSprite2 of type BioSunFlareComponent
    // child object SunFlareSprite3 of type BioSunFlareComponent
    // child object SunFlareSprite4 of type BioSunFlareComponent
    // child object SunFlareSprite5 of type BioSunFlareComponent
    // child object SunFlareSprite6 of type BioSunFlareComponent
    // child object SunFlareSprite7 of type BioSunFlareComponent
    // child object SunFlareSprite8 of type BioSunFlareComponent
    // child object SunFlareSprite9 of type BioSunFlareComponent
    // child object SunHaloSprite of type BioSunFlareComponent
    // child object SunStreakSprite0 of type BioSunFlareStreakComponent
    // child object SunStreakSprite1 of type BioSunFlareStreakComponent
    // child object SunStreakSprite2 of type BioSunFlareStreakComponent
    // child object SunStreakSprite3 of type BioSunFlareStreakComponent
    // child object SunStreakSprite4 of type BioSunFlareStreakComponent
    // child object SunStreakSprite5 of type BioSunFlareStreakComponent
    // child object BrightnessDistributionCurve of type DistributionFloatConstantCurve
    // child object IntensityDistributionCurve of type DistributionFloatConstantCurve
    // child object ScaleDistributionCurve of type DistributionFloatConstantCurve
}
