﻿class SFXConvAuditionHelper extends Object
    config(Game)
    native;

const SFX_AUDHELPER_NO_SPEAKER_FOUND = -10;
struct native BioVOActorType
{
    var String sTag;

    var String sActorType;

}

// m_mActorLightingMap: MapProperty[52]
var transient array<BioPawn> m_aPawnMeshTickList;

var transient float m_fPreviewJCutTimePos;

var transient float m_fPreviewLeadInTime;

var transient BioScrubFaceFXInfo m_tFaceFXInfo;

var transient BioStageDOFData m_tScrubInitialDOF;

var transient BioScrubbingCamData m_tScrubInitialCam;

var transient BioScrubbingCamData m_tScrubCurrentCam;

var transient BioScrubbingCamData m_tScrubOriginalCam;

// m_srCurrentString: StringRefProperty[44]
var native transient Map_Mirror m_mapCachedAnimsets;

var transient BioActorFactory m_pFactory;

var transient bool m_bPlaySound;

var transient bool m_bScrubResetCamData;

var transient bool m_bScrubSaveCamData;

var transient bool m_bScrubUseCamData;

var transient bool m_bProfileConv;

var transient bool m_bCleanedUp;

var transient bool m_bMale;

var transient bool m_bFoundStageOverride;

var transient BioSeqAct_OverrideStagePlacement m_pOverrideAction;

var transient BioSeqAct_StartConversation m_pPlayAction;

var transient BioStage m_pConvStage;

var transient Name m_nmConvOwnerTag;

var transient Actor m_pConvOwner;

var native transient Map_Mirror m_mapNodeToParent;

var native transient Map_Mirror m_mapStrRefToNodeIndex;

var native transient MultiMap_Mirror m_mapRefCount;

var transient BioConversation m_pConversation;

var native transient Map_Mirror m_mapPawnHistory;

var transient config array<BioVOActorType> m_aDefaultActorTypes;

struct native BioVOActorData
{
    var Actor pActor;

    var bool bSpawned;

    var Vector vPreAudPos;

    var Rotator rPreAudRot;

    var Vector vAudInitPos;

    var Rotator rAudInitRot;

    var Name nmAudInitNode;

    var Name nmAudInitPose;

    var BioConvLightingData PreAuditionLightingData;

    var BioConvLightingData LineInitialLightingData;

    var native Map_Mirror mapAudInitProps;

    var String sCollidesWith;

}

struct native BioTrackInstPair
{
    var BioInterpTrack pTrack;

    var BioInterpTrackInst pInst;

}

struct native BioScrubbingCamData
{
    var Vector vCamPos;

    var Rotator rCamRot;

    var float fFov;

    var float fNearPlane;

    var float fAspectRatio;

    var Name nmStageCam;

}

struct native BioScrubFaceFXInfo
{
    var BioPawn pPawn;

    var FaceFXAsset pAsset;

    var FaceFXAnimSet pAnimSet;

    var String sAnimName;

    var float fAnimPos;

    var bool bDirty;

    var WwiseBaseSoundObject pVOSound;

    var float fLineLength;

}

defaultproperties
{
    m_aDefaultActorTypes=System.Byte[]
    m_fPreviewLeadInTime=1
    m_fPreviewJCutTimePos=-1
}
