﻿class SFXCustomAction_Utilize extends SFXCustomAction_DamageReaction
    config(Game);

var() BodyStance BS_ReactionExploreAlternative;

var() BodyStance BS_ReactionAlternative2;

var() BodyStance BS_ReactionAlternative1;

var transient VisualEffect UtilizeCrust;

function StartCustomAction()
{
    local float F;
    local SFXPawn_Player PlayerPawn;
    F = FRand();
    if (F < 0,3333)
    {
        BS_Reaction = Default.BS_Reaction;
    }
    else
    {
        if (F < 0,6666)
        {
            BS_Reaction = Default.BS_ReactionAlternative1;
        }
        else
        {
            BS_Reaction = Default.BS_ReactionAlternative2;
        }
    }
    F = FRand();
    if (F < 0,5)
    {
        BS_ReactionExplore = Default.BS_ReactionExplore;
    }
    else
    {
        BS_ReactionExplore = Default.BS_ReactionExploreAlternative;
    }
    StartCustomAction();
    PlayerPawn = SFXPawn_Player(oPawn);
    PlayerPawn.CreateVisualEffect(UtilizeCrust.Template, UtilizeCrust.Effect);
    UtilizeCrust.Effect.SetState(0, true);
    oPawn.SetTimer(0,5, true, 'CheckMoving', self);
    oPawn.SetTimer(0,5, true, 'CheckFiring', self);
}

function CheckMoving()
{
    if (VSizeSq(oPawn.Velocity) > 1)
    {
        oPawn.ClearTimer('CheckMoving', self);
        EndThisCustomAction();
    }
}

function CheckFiring()
{
    if (oPawn.IsPendingFire(0))
    {
        oPawn.ClearTimer('CheckFiring', self);
        EndThisCustomAction();
    }
}

defaultproperties
{
    UtilizeCrust=(Template=StringRefProperty'm_srTargetTipTextClosed',Effect=None)
    fAnimBlendInTime=0,4
    fAnimBlendOutTime=0,4
    fReactionDuration=0
    ERootMotionMode=RMM_Translate
    bDisableMovement=false
}
