﻿class SFXGameChoiceGUIData extends Object
    hidecategories(Object)
    config(UI)
    native
    editinlinenew;

enum SFXChoiceColors
{
    CHOICECOLOR_Orange,
    CHOICECOLOR_Red,
    CHOICECOLOR_Green,
};

struct native SFXChoiceEntry
{
// srChoiceName: StringRefProperty[44]
// srChoiceTitle: StringRefProperty[44]
    var() Texture2D oChoiceImage;

// srChoiceImageTitle: StringRefProperty[44]
// srChoiceDescription: StringRefProperty[44]
    var() int nOptionalPaneItemValue;

    var() SFXChoiceColors ChoiceColor;

    var() int nChoiceID;

    var() EInventoryResourceTypes eResource;

// srActionText: StringRefProperty[44]
    var() bool bDefaultSelection;

    var() array<SFXTokenMapping> m_mapTokenIDToActual;

    var() bool bDisabled;

    var() bool bNested;

    var() bool bOptionalPaneHideCost;

    var String sChoiceName;

    var String sChoiceTitle;

    var String sChoiceImageTitle;

    var String sChoiceDescription;

    var String sActionText;

}

var() config array<SFXChoiceEntry> lstChoices;

var() config EInventoryResourceTypes m_eOptionalPaneResourceType;

var config int m_nOptionalPaneValue;

// m_srOptionalPaneValuePrefixText: StringRefProperty[44]
// m_srOptionalPaneItemValuePrefixText: StringRefProperty[44]
// m_srOptionalPaneTitleText: StringRefProperty[44]
var() config bool m_ShowOptionalPane;

// m_srBText: StringRefProperty[44]
// m_srAText: StringRefProperty[44]
// m_srSubTitle: StringRefProperty[44]
// m_srTitle: StringRefProperty[44]
native function SetDisplayText();

native function SetupOptionalPane(bool bShowOptionalPane, optional int nOptionalPaneValue);

native function bool AddChoice(SFXChoiceEntry Params);

native function ClearChoiceList();

native final static function SetTokenMapping(out SFXChoiceEntry Data, int nTokenID, String sValue);

native final static function RemoveTokenMapping(out SFXChoiceEntry Data, int nTokenID);

defaultproperties
{
}
