﻿class SFXGameEffect_SniperTimeDilation extends SFXGameEffect
    hidecategories(Object);

var BioPlayerInput PlayerInput;

var BioPlayerController Controller;

var BioPawn BP;

var float SlowDownDuration;

var float SlowDownTimer;

var bool bTimeSlowed;

var InterpCurveFloat SlowDown;

function OnApplied()
{
    BP = BioPawn(Owner);
    Controller = BioPlayerController(BP.Controller);
    PlayerInput = BioPlayerInput(Controller.PlayerInput);
    SlowDown.Points[0].OutVal = 1 - EffectValue;
    SlowDown.Points[1].OutVal = 1 - EffectValue;
    SlowDownDuration = SlowDownDuration * 1 - EffectValue;
}

function OnUpdate(float TimeDelta)
{
    local bool bInSniperZoom;
    OnUpdate(TimeDelta);
    if (BP == None || PlayerInput == None)
    {
        return;
    }
    bInSniperZoom = PlayerInput.Outer.IsZoomed() && SFXWeapon_SniperRifle_Base(BP.Weapon) != None;
    if (!bInSniperZoom)
    {
        if (bTimeSlowed)
        {
            bTimeSlowed = false;
        }
        return;
    }
    else
    {
        if (bTimeSlowed)
        {
            SlowDownTimer -= TimeDelta;
            if (SlowDownTimer < 0)
            {
                return;
            }
            else
            {
                SlowTime();
            }
        }
        else
        {
            if (bInSniperZoom)
            {
                SlowDownTimer = SlowDownDuration;
                bTimeSlowed = true;
            }
        }
    }
}

function SlowTime()
{
    SFXGame(Owner.WorldInfo.Game).RequestTimeDilation(SlowDown, 0);
}

defaultproperties
{
    SlowDown=(Points=?,InterpMethod=?)
}
