﻿class SFXInterpTrackDestroy extends SFXGameInterpTrackCustom
    hidecategories(Object)
    native
    collapsecategories;

var() array<BioSeqVar_ObjectFindByTag> m_aTarget;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "Destroy";
}

static event String KeyDataArrayName()
{
    return "";
}

static event String KeyDataDisplayName()
{
    return "Destroy";
}

event TriggerKey(BioInterpTrackInst pTrackInst)
{
    local SeqAct_Destroy Seq;
    local Actor CurrentTarget;
    local int I;
    Seq = new(Outer,Class'SeqAct_Destroy');
    if (m_aTarget.Length > 0)
    {
        I = 0;
        while (I < m_aTarget.Length)
        {
            CurrentTarget = Actor(GetObjectRef(m_aTarget[I]));
            if (CurrentTarget != None)
            {
                CurrentTarget.OnDestroy(Seq);
                jump 125;
            }
            I++;
        }
    }
    else
    {
        if (pTrackInst != None)
        {
            CurrentTarget = GetGroupLinkedActor(pTrackInst);
            if (CurrentTarget != None)
            {
                CurrentTarget.OnDestroy(Seq);
            }
        }
    }
    return;
}

defaultproperties
{
    TrackInstClass=None
    TrackTitle="Destroy Track"
}
