﻿class SFXInterpTrackToggleAffectedByHitEffects extends SFXInterpTrackToggleBase
    hidecategories(Object)
    native
    collapsecategories;

static event bool AllowKeyNaming()
{
    return true;
}

static event String NewKeyDefaultName()
{
    return "ToggleAffectedByHitEffects";
}

static event String KeyDataDisplayName()
{
    return "Toggle Hit Effects Key Data";
}

event TriggerKey(BioInterpTrackInst pTrackInst, bool bToggle, bool bEnable)
{
    local SeqAct_ToggleAffectedByHitEffects Seq;
    local Pawn oPawn;
    local int I;
    Seq = new(Outer,Class'SeqAct_ToggleAffectedByHitEffects');
    SetupToggleSequenceOp(Seq, bToggle, bEnable);
    if (m_aTarget.Length > 0)
    {
        I = 0;
        while (I < m_aTarget.Length)
        {
            oPawn = Pawn(GetObjectRef(m_aTarget[I]));
            if (oPawn != None)
            {
                oPawn.Controller.OnToggleAffectedByHitEffects(Seq);
                jump 161;
            }
            I++;
        }
    }
    else
    {
        if (pTrackInst != None)
        {
            oPawn = Pawn(GetGroupLinkedActor(pTrackInst));
            if (oPawn != None)
            {
                oPawn.Controller.OnToggleAffectedByHitEffects(Seq);
            }
        }
    }
    return;
}

defaultproperties
{
    TrackTitle="Toggle HitEffects"
}
