﻿class SFXSeqAct_CanSpendTallentPoints extends SequenceAction
    hidecategories(Object);

var /* 00000008 */ SFXPowerLevelUpHelper m_Helper;

event Activated()
{
    if (CanSpendTallentPoints())
    {
        OutputLinks[0].bHasImpulse = true;
        OutputLinks[1].bHasImpulse = false;
    }
    else
    {
        OutputLinks[0].bHasImpulse = false;
        OutputLinks[1].bHasImpulse = true;
    }
}

event Deactivated()
{
    m_Helper = None;
}

final function bool CanSpendTallentPoints()
{
    local int I;
    local int nSquadSize;
    local bool bCanSpendPoints;
    local BioPawn oPawn;
    local BioPlayerSquad oSquad;
    local BioWorldInfo oBWI;
    bCanSpendPoints = false;
    oBWI = BioWorldInfo(GetWorldInfo());
    if (oBWI != None)
    {
        oSquad = oBWI.m_playerSquad;
        m_Helper.Initialize(oBWI);
        if (oSquad == None)
        {
            return false;
        }
        nSquadSize = oSquad.GetSquadSize();
        I = 0;
        while (I < nSquadSize)
        {
            oPawn = BioPawn(oSquad.GetMember(I));
            if (oPawn != None)
            {
                m_Helper.SetPawn(oPawn);
                if (m_Helper.CanMakePurchase())
                {
                    bCanSpendPoints = true;
                    break;
                }
            }
            I++;
        }
    }
    return bCanSpendPoints;
}

defaultproperties
{
    m_Helper=SFXPowerLevelUpHelper'oHelper'
    bCallHandler=false
    bManualHandleOutputs=true
    OutputLinks=None
    // child object oHelper of type SFXPowerLevelUpHelper
}
