﻿class SFXSeqAct_CheckResourceBudget extends SequenceAction
    hidecategories(Object);

var int nAmount;

var() ETreasureType TreasureType;

var() bool bDiscount;

var() Name nmLevel;

function Activated()
{
    local BioWorldInfo oWorldInfo;
    local SFXPlotTreasure oTreasure;
    local SResourceBudget stBudget;
    oWorldInfo = BioWorldInfo(GetWorldInfo());
    oTreasure = oWorldInfo.m_oTreasure;
    if (nmLevel == 'None')
    {
        nmLevel = oTreasure.CurrentLevel();
    }
    stBudget = oTreasure.Budget(nmLevel);
    nAmount = 0;
    switch (TreasureType)
    {
        case 2:
            nAmount = stBudget.nCredits;
            break;
        case 3:
            nAmount = stBudget.nEezo;
            break;
        case 5:
            nAmount = stBudget.nIridium;
            break;
        case 4:
            nAmount = stBudget.nPalladium;
            break;
        case 6:
            nAmount = stBudget.nPlatinum;
            break;
    }
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    TreasureType=CREDITS_TREASURE
    bCallHandler=false
    bManualHandleOutputs=true
    VariableLinks=None
}
