﻿class SFXSeqAct_LegacyDataBasicInfo extends SequenceAction
    hidecategories(Object);

var() float m_fTimeOut;

// srShepard: StringRefProperty[44]
// srSentinel: StringRefProperty[44]
// srVanguard: StringRefProperty[44]
// srInfiltrator: StringRefProperty[44]
// srAdept: StringRefProperty[44]
// srEngineer: StringRefProperty[44]
// srSoldier: StringRefProperty[44]
// srRuthless: StringRefProperty[44]
// srWarHero: StringRefProperty[44]
// srSurvivor: StringRefProperty[44]
// srEarthborn: StringRefProperty[44]
// srColonist: StringRefProperty[44]
// srSpacer: StringRefProperty[44]
var float fRng;

var float fPgn;

var String sOrgn;

var String sRep;

var String sClass;

var int nLvl;

var String sLName;

var String sFName;

var transient BioWorldInfo BWI;

var transient SFXLegacyData ImportDataManager;

event Activated()
{
    Activated();
    BWI = BioWorldInfo(GetWorldInfo());
    if (BWI == None || BWI.CurrentGame == None || BWI.CurrentGame.ImportedDataManager == None || BWI.CurrentGame.ImportedDataManager.m_bImportedData == false)
    {
        OutputLinks[1].bHasImpulse = true;
        return;
    }
    ImportDataManager = BWI.CurrentGame.ImportedDataManager;
    sFName = ImportDataManager.GetImportedPlayerName();
    sLName = srShepard;
    nLvl = ImportDataManager.GetImportedPlayerLevel();
    switch (ImportDataManager.GetImportedPlayerClass())
    {
        case 1:
            sClass = srEngineer;
            break;
        case 2:
            sClass = srAdept;
            break;
        case 3:
            sClass = srInfiltrator;
            break;
        case 4:
            sClass = srSentinel;
            break;
        case 5:
            sClass = srVanguard;
            break;
        default:
            sClass = srSoldier;
            break;
    }
    switch (ImportDataManager.GetImportedPlayerNotoriety())
    {
        case 1:
            sRep = srSurvivor;
            break;
        case 2:
            sRep = srWarHero;
            break;
        default:
            sRep = srRuthless;
            break;
    }
    switch (ImportDataManager.GetImportedPlayerOrigin())
    {
        case 1:
            sRep = srSpacer;
            break;
        case 2:
            sRep = srColonist;
            break;
        default:
            sRep = srEarthborn;
            break;
    }
    fPgn = ImportDataManager.GetParagonBarPercentFull();
    fRng = ImportDataManager.GetRenegadeBarPercentFull();
    OutputLinks[0].bHasImpulse = true;
}

defaultproperties
{
    srSpacer=System.Byte[]
    srColonist=System.Byte[]
    srEarthborn=System.Byte[]
    srSurvivor=System.Byte[]
    srWarHero=System.Byte[]
    srRuthless=System.Byte[]
    srSoldier=System.Byte[]
    srEngineer=System.Byte[]
    srAdept=System.Byte[]
    srInfiltrator=System.Byte[]
    srVanguard=System.Byte[]
    srSentinel=System.Byte[]
    srShepard=System.Byte[]
    bManualHandleOutputs=true
    OutputLinks=None
}
