﻿class SFXSeqAct_SetWeaponVisibility extends SequenceAction
    hidecategories(Object);

function Activated()
{
    local Object ChkObject;
    local Pawn ChkPawn;
    local SFXWeapon Weapon;
    foreach Targets(ChkObject)
    {
        ChkPawn = GetPawn(Actor(ChkObject));
        if (ChkPawn != None && ChkPawn.InvManager != None)
        {
            foreach ChkPawn.InvManager.InventoryActors(Class'SFXWeapon', Weapon)
            {
                if (InputLinks[0].bHasImpulse)
                {
                    Weapon.Mesh.SetHidden(false);
                }
                else
                {
                    if (InputLinks[1].bHasImpulse)
                    {
                        Weapon.Mesh.SetHidden(true);
                    }
                    else
                    {
                        if (InputLinks[2].bHasImpulse)
                        {
                            Weapon.Mesh.SetHidden(!Weapon.Mesh.HiddenGame);
                        }
                    }
                }
            }
        }
    }
}

defaultproperties
{
    bCallHandler=false
    InputLinks=None
}
